#include "AVInputPortBinding.h"
#include "AccessibleNodeBinding.h"
#include "AddonEventBinding.h"
#include "AddonManagerBinding.h"
#include "AnalyserNodeBinding.h"
#include "AnimationBinding.h"
#include "AnimationEffectReadOnlyBinding.h"
#include "AnimationEffectTimingBinding.h"
#include "AnimationEffectTimingReadOnlyBinding.h"
#include "AnimationEventBinding.h"
#include "AnimationPlaybackEventBinding.h"
#include "AnimationTimelineBinding.h"
#include "AnonymousContentBinding.h"
#include "ArchiveReaderBinding.h"
#include "ArchiveRequestBinding.h"
#include "AttrBinding.h"
#include "AudioBufferBinding.h"
#include "AudioBufferSourceNodeBinding.h"
#include "AudioContextBinding.h"
#include "AudioDestinationNodeBinding.h"
#include "AudioListenerBinding.h"
#include "AudioNodeBinding.h"
#include "AudioParamBinding.h"
#include "AudioProcessingEventBinding.h"
#include "AudioStreamTrackBinding.h"
#include "AudioTrackBinding.h"
#include "AudioTrackListBinding.h"
#include "AutocompleteErrorEventBinding.h"
#include "BarPropBinding.h"
#include "BatteryManagerBinding.h"
#include "BeforeAfterKeyboardEventBinding.h"
#include "BeforeUnloadEventBinding.h"
#include "BiquadFilterNodeBinding.h"
#include "BlobBinding.h"
#include "BlobEventBinding.h"
#include "BoxObjectBinding.h"
#include "BroadcastChannelBinding.h"
#include "BrowserElementAudioChannelBinding.h"
#include "BrowserElementProxyBinding.h"
#include "BrowserFeedWriterBinding.h"
#include "CDATASectionBinding.h"
#include "CFStateChangeEventBinding.h"
#include "CSS2PropertiesBinding.h"
#include "CSSAnimationBinding.h"
#include "CSSBinding.h"
#include "CSSLexerBinding.h"
#include "CSSPrimitiveValueBinding.h"
#include "CSSPseudoElementBinding.h"
#include "CSSRuleListBinding.h"
#include "CSSStyleDeclarationBinding.h"
#include "CSSStyleSheetBinding.h"
#include "CSSTransitionBinding.h"
#include "CSSValueBinding.h"
#include "CSSValueListBinding.h"
#include "CacheBinding.h"
#include "CacheStorageBinding.h"
#include "CallEventBinding.h"
#include "CallGroupErrorEventBinding.h"
#include "CameraCapabilitiesBinding.h"
#include "CameraClosedEventBinding.h"
#include "CameraConfigurationEventBinding.h"
#include "CameraControlBinding.h"
#include "CameraFacesDetectedEventBinding.h"
#include "CameraManagerBinding.h"
#include "CameraStateChangeEventBinding.h"
#include "CanvasCaptureMediaStreamBinding.h"
#include "CanvasRenderingContext2DBinding.h"
#include "CaretPositionBinding.h"
#include "CaretStateChangedEventBinding.h"
#include "ChannelMergerNodeBinding.h"
#include "ChannelSplitterNodeBinding.h"
#include "CharacterDataBinding.h"
#include "CheckerboardReportServiceBinding.h"
#include "ChromeNodeListBinding.h"
#include "ChromeNotificationsBinding.h"
#include "ChromeUtilsBinding.h"
#include "ClipboardEventBinding.h"
#include "CloseEventBinding.h"
#include "CommandEventBinding.h"
#include "CommentBinding.h"
#include "CompositionEventBinding.h"
#include "ConsoleBinding.h"
#include "ContactsBinding.h"
#include "ConvolverNodeBinding.h"
#include "CreateOfferRequestBinding.h"
#include "CryptoBinding.h"
#include "CustomElementsRegistryBinding.h"
#include "CustomEventBinding.h"
#include "DOMCursorBinding.h"
#include "DOMErrorBinding.h"
#include "DOMExceptionBinding.h"
#include "DOMImplementationBinding.h"
#include "DOMMatrixBinding.h"
#include "DOMMobileMessageErrorBinding.h"
#include "DOMParserBinding.h"
#include "DOMPointBinding.h"
#include "DOMQuadBinding.h"
#include "DOMRectBinding.h"
#include "DOMRectListBinding.h"
#include "DOMRequestBinding.h"
#include "DOMStringListBinding.h"
#include "DOMStringMapBinding.h"
#include "DOMTokenListBinding.h"
#include "DOMTransactionEventBinding.h"
#include "DataChannelBinding.h"
#include "DataContainerEventBinding.h"
#include "DataErrorEventBinding.h"
#include "DataTransferBinding.h"
#include "DataTransferItemBinding.h"
#include "DataTransferItemListBinding.h"
#include "DelayNodeBinding.h"
#include "DesktopNotificationBinding.h"
#include "DeviceLightEventBinding.h"
#include "DeviceMotionEventBinding.h"
#include "DeviceOrientationEventBinding.h"
#include "DeviceProximityEventBinding.h"
#include "DeviceStorageAreaChangedEventBinding.h"
#include "DeviceStorageAreaListenerBinding.h"
#include "DeviceStorageBinding.h"
#include "DeviceStorageChangeEventBinding.h"
#include "DirectoryBinding.h"
#include "DisplayPortInputPortBinding.h"
#include "DocumentBinding.h"
#include "DocumentFragmentBinding.h"
#include "DocumentTimelineBinding.h"
#include "DocumentTypeBinding.h"
#include "DominatorTreeBinding.h"
#include "DownloadEventBinding.h"
#include "DownloadsBinding.h"
#include "DragEventBinding.h"
#include "DynamicsCompressorNodeBinding.h"
#include "ElementBinding.h"
#include "ErrorEventBinding.h"
#include "EventBinding.h"
#include "EventSourceBinding.h"
#include "EventTargetBinding.h"
#include "ExternalBinding.h"
#include "FileBinding.h"
#include "FileListBinding.h"
#include "FileReaderBinding.h"
#include "FileSystemBinding.h"
#include "FileSystemDirectoryEntryBinding.h"
#include "FileSystemDirectoryReaderBinding.h"
#include "FileSystemEntryBinding.h"
#include "FileSystemFileEntryBinding.h"
#include "FlyWebDiscoveryManagerBinding.h"
#include "FlyWebFetchEventBinding.h"
#include "FlyWebPublishBinding.h"
#include "FlyWebWebSocketEventBinding.h"
#include "FocusEventBinding.h"
#include "FontFaceBinding.h"
#include "FontFaceSetBinding.h"
#include "FontFaceSetLoadEventBinding.h"
#include "FormDataBinding.h"
#include "GainNodeBinding.h"
#include "GamepadAxisMoveEventBinding.h"
#include "GamepadBinding.h"
#include "GamepadButtonEventBinding.h"
#include "GamepadEventBinding.h"
#include "GamepadServiceTestBinding.h"
#include "GridBinding.h"
#include "HDMIInputPortBinding.h"
#include "HTMLAllCollectionBinding.h"
#include "HTMLAnchorElementBinding.h"
#include "HTMLAppletElementBinding.h"
#include "HTMLAreaElementBinding.h"
#include "HTMLAudioElementBinding.h"
#include "HTMLBRElementBinding.h"
#include "HTMLBaseElementBinding.h"
#include "HTMLBodyElementBinding.h"
#include "HTMLButtonElementBinding.h"
#include "HTMLCanvasElementBinding.h"
#include "HTMLCollectionBinding.h"
#include "HTMLContentElementBinding.h"
#include "HTMLDListElementBinding.h"
#include "HTMLDataElementBinding.h"
#include "HTMLDataListElementBinding.h"
#include "HTMLDetailsElementBinding.h"
#include "HTMLDirectoryElementBinding.h"
#include "HTMLDivElementBinding.h"
#include "HTMLDocumentBinding.h"
#include "HTMLElementBinding.h"
#include "HTMLEmbedElementBinding.h"
#include "HTMLFieldSetElementBinding.h"
#include "HTMLFontElementBinding.h"
#include "HTMLFormControlsCollectionBinding.h"
#include "HTMLFormElementBinding.h"
#include "HTMLFrameElementBinding.h"
#include "HTMLFrameSetElementBinding.h"
#include "HTMLHRElementBinding.h"
#include "HTMLHeadElementBinding.h"
#include "HTMLHeadingElementBinding.h"
#include "HTMLHtmlElementBinding.h"
#include "HTMLIFrameElementBinding.h"
#include "HTMLImageElementBinding.h"
#include "HTMLInputElementBinding.h"
#include "HTMLLIElementBinding.h"
#include "HTMLLabelElementBinding.h"
#include "HTMLLegendElementBinding.h"
#include "HTMLLinkElementBinding.h"
#include "HTMLMapElementBinding.h"
#include "HTMLMediaElementBinding.h"
#include "HTMLMenuElementBinding.h"
#include "HTMLMenuItemElementBinding.h"
#include "HTMLMetaElementBinding.h"
#include "HTMLMeterElementBinding.h"
#include "HTMLModElementBinding.h"
#include "HTMLOListElementBinding.h"
#include "HTMLObjectElementBinding.h"
#include "HTMLOptGroupElementBinding.h"
#include "HTMLOptionElementBinding.h"
#include "HTMLOptionsCollectionBinding.h"
#include "HTMLOutputElementBinding.h"
#include "HTMLParagraphElementBinding.h"
#include "HTMLParamElementBinding.h"
#include "HTMLPictureElementBinding.h"
#include "HTMLPreElementBinding.h"
#include "HTMLProgressElementBinding.h"
#include "HTMLQuoteElementBinding.h"
#include "HTMLScriptElementBinding.h"
#include "HTMLSelectElementBinding.h"
#include "HTMLShadowElementBinding.h"
#include "HTMLSourceElementBinding.h"
#include "HTMLSpanElementBinding.h"
#include "HTMLStyleElementBinding.h"
#include "HTMLTableCaptionElementBinding.h"
#include "HTMLTableCellElementBinding.h"
#include "HTMLTableColElementBinding.h"
#include "HTMLTableElementBinding.h"
#include "HTMLTableRowElementBinding.h"
#include "HTMLTableSectionElementBinding.h"
#include "HTMLTemplateElementBinding.h"
#include "HTMLTextAreaElementBinding.h"
#include "HTMLTimeElementBinding.h"
#include "HTMLTitleElementBinding.h"
#include "HTMLTrackElementBinding.h"
#include "HTMLUListElementBinding.h"
#include "HTMLVideoElementBinding.h"
#include "HashChangeEventBinding.h"
#include "HeadersBinding.h"
#include "HeapSnapshotBinding.h"
#include "HiddenPluginEventBinding.h"
#include "HistoryBinding.h"
#include "IDBCursorBinding.h"
#include "IDBDatabaseBinding.h"
#include "IDBFactoryBinding.h"
#include "IDBFileHandleBinding.h"
#include "IDBFileRequestBinding.h"
#include "IDBIndexBinding.h"
#include "IDBKeyRangeBinding.h"
#include "IDBMutableFileBinding.h"
#include "IDBObjectStoreBinding.h"
#include "IDBOpenDBRequestBinding.h"
#include "IDBRequestBinding.h"
#include "IDBTransactionBinding.h"
#include "IDBVersionChangeEventBinding.h"
#include "IIRFilterNodeBinding.h"
#include "IccCardLockErrorBinding.h"
#include "IccChangeEventBinding.h"
#include "ImageBitmapBinding.h"
#include "ImageBitmapRenderingContextBinding.h"
#include "ImageCaptureBinding.h"
#include "ImageCaptureErrorEventBinding.h"
#include "ImageDataBinding.h"
#include "ImageDocumentBinding.h"
#include "InputEventBinding.h"
#include "InputMethodBinding.h"
#include "InputPortBinding.h"
#include "InputPortManagerBinding.h"
#include "InstallTriggerBinding.h"
#include "KeyEventBinding.h"
#include "KeyboardEventBinding.h"
#include "KeyframeEffectBinding.h"
#include "LocalMediaStreamBinding.h"
#include "LocationBinding.h"
#include "MMICallBinding.h"
#include "MediaDeviceInfoBinding.h"
#include "MediaDevicesBinding.h"
#include "MediaElementAudioSourceNodeBinding.h"
#include "MediaEncryptedEventBinding.h"
#include "MediaErrorBinding.h"
#include "MediaKeyErrorBinding.h"
#include "MediaKeyMessageEventBinding.h"
#include "MediaKeySessionBinding.h"
#include "MediaKeyStatusMapBinding.h"
#include "MediaKeySystemAccessBinding.h"
#include "MediaKeysBinding.h"
#include "MediaListBinding.h"
#include "MediaQueryListBinding.h"
#include "MediaRecorderBinding.h"
#include "MediaSourceBinding.h"
#include "MediaStreamAudioDestinationNodeBinding.h"
#include "MediaStreamAudioSourceNodeBinding.h"
#include "MediaStreamBinding.h"
#include "MediaStreamEventBinding.h"
#include "MediaStreamListBinding.h"
#include "MediaStreamTrackBinding.h"
#include "MediaStreamTrackEventBinding.h"
#include "MenuBoxObjectBinding.h"
#include "MessageChannelBinding.h"
#include "MessageEventBinding.h"
#include "MessagePortBinding.h"
#include "MimeTypeArrayBinding.h"
#include "MimeTypeBinding.h"
#include "MmsMessageBinding.h"
#include "MobileMessageThreadBinding.h"
#include "MouseEventBinding.h"
#include "MouseScrollEventBinding.h"
#include "MozCellBroadcastBinding.h"
#include "MozCellBroadcastEventBinding.h"
#include "MozCellBroadcastMessageBinding.h"
#include "MozClirModeEventBinding.h"
#include "MozContactChangeEventBinding.h"
#include "MozEmergencyCbModeEventBinding.h"
#include "MozIccBinding.h"
#include "MozIccInfoBinding.h"
#include "MozIccManagerBinding.h"
#include "MozMessageDeletedEventBinding.h"
#include "MozMmsEventBinding.h"
#include "MozMobileCellInfoBinding.h"
#include "MozMobileConnectionArrayBinding.h"
#include "MozMobileConnectionBinding.h"
#include "MozMobileConnectionInfoBinding.h"
#include "MozMobileMessageManagerBinding.h"
#include "MozMobileNetworkInfoBinding.h"
#include "MozOtaStatusEventBinding.h"
#include "MozPowerManagerBinding.h"
#include "MozSelfSupportBinding.h"
#include "MozSettingsEventBinding.h"
#include "MozSettingsTransactionEventBinding.h"
#include "MozSmsEventBinding.h"
#include "MozStkCommandEventBinding.h"
#include "MozTetheringManagerBinding.h"
#include "MozTimeManagerBinding.h"
#include "MozVoicemailBinding.h"
#include "MozVoicemailEventBinding.h"
#include "MozVoicemailStatusBinding.h"
#include "MozWakeLockBinding.h"
#include "MutationEventBinding.h"
#include "MutationObserverBinding.h"
#include "NamedNodeMapBinding.h"
#include "NavigatorBinding.h"
#include "NetworkInformationBinding.h"
#include "NodeBinding.h"
#include "NodeFilterBinding.h"
#include "NodeIteratorBinding.h"
#include "NodeListBinding.h"
#include "NotificationBinding.h"
#include "NotifyPaintEventBinding.h"
#include "OfflineAudioCompletionEventBinding.h"
#include "OfflineAudioContextBinding.h"
#include "OfflineResourceListBinding.h"
#include "OffscreenCanvasBinding.h"
#include "OscillatorNodeBinding.h"
#include "PageTransitionEventBinding.h"
#include "PaintRequestBinding.h"
#include "PaintRequestListBinding.h"
#include "PannerNodeBinding.h"
#include "PeerConnectionImplBinding.h"
#include "PeerConnectionObserverBinding.h"
#include "PerformanceBinding.h"
#include "PerformanceEntryBinding.h"
#include "PerformanceEntryEventBinding.h"
#include "PerformanceMarkBinding.h"
#include "PerformanceMeasureBinding.h"
#include "PerformanceNavigationBinding.h"
#include "PerformanceObserverBinding.h"
#include "PerformanceObserverEntryListBinding.h"
#include "PerformanceResourceTimingBinding.h"
#include "PerformanceTimingBinding.h"
#include "PeriodicWaveBinding.h"
#include "PermissionSettingsBinding.h"
#include "PermissionStatusBinding.h"
#include "PermissionsBinding.h"
#include "PhoneNumberServiceBinding.h"
#include "PluginArrayBinding.h"
#include "PluginBinding.h"
#include "PluginCrashedEventBinding.h"
#include "PointerEventBinding.h"
#include "PopStateEventBinding.h"
#include "PopupBlockedEventBinding.h"
#include "PopupBoxObjectBinding.h"
#include "PresentationAvailabilityBinding.h"
#include "PresentationBinding.h"
#include "PresentationConnectionAvailableEventBinding.h"
#include "PresentationConnectionBinding.h"
#include "PresentationConnectionClosedEventBinding.h"
#include "PresentationConnectionListBinding.h"
#include "PresentationDeviceInfoManagerBinding.h"
#include "PresentationReceiverBinding.h"
#include "PresentationRequestBinding.h"
#include "ProcessingInstructionBinding.h"
#include "ProgressEventBinding.h"
#include "PromiseDebuggingBinding.h"
#include "PushManagerBinding.h"
#include "PushSubscriptionBinding.h"
#include "PushSubscriptionOptionsBinding.h"
#include "RGBColorBinding.h"
#include "RTCCertificateBinding.h"
#include "RTCDataChannelEventBinding.h"
#include "RTCIceCandidateBinding.h"
#include "RTCPeerConnectionBinding.h"
#include "RTCPeerConnectionIceEventBinding.h"
#include "RTCPeerConnectionStaticBinding.h"
#include "RTCRtpReceiverBinding.h"
#include "RTCRtpSenderBinding.h"
#include "RTCSessionDescriptionBinding.h"
#include "RTCStatsReportBinding.h"
#include "RTCTrackEventBinding.h"
#include "RadioNodeListBinding.h"
#include "RangeBinding.h"
#include "RecordErrorEventBinding.h"
#include "RectBinding.h"
#include "RequestBinding.h"
#include "ResourceStatsBinding.h"
#include "ResourceStatsManagerBinding.h"
#include "ResponseBinding.h"
#include "SVGAElementBinding.h"
#include "SVGAngleBinding.h"
#include "SVGAnimateElementBinding.h"
#include "SVGAnimateMotionElementBinding.h"
#include "SVGAnimateTransformElementBinding.h"
#include "SVGAnimatedAngleBinding.h"
#include "SVGAnimatedBooleanBinding.h"
#include "SVGAnimatedEnumerationBinding.h"
#include "SVGAnimatedIntegerBinding.h"
#include "SVGAnimatedLengthBinding.h"
#include "SVGAnimatedLengthListBinding.h"
#include "SVGAnimatedNumberBinding.h"
#include "SVGAnimatedNumberListBinding.h"
#include "SVGAnimatedPreserveAspectRatioBinding.h"
#include "SVGAnimatedRectBinding.h"
#include "SVGAnimatedStringBinding.h"
#include "SVGAnimatedTransformListBinding.h"
#include "SVGAnimationElementBinding.h"
#include "SVGCircleElementBinding.h"
#include "SVGClipPathElementBinding.h"
#include "SVGComponentTransferFunctionElementBinding.h"
#include "SVGDefsElementBinding.h"
#include "SVGDescElementBinding.h"
#include "SVGDocumentBinding.h"
#include "SVGElementBinding.h"
#include "SVGEllipseElementBinding.h"
#include "SVGFEBlendElementBinding.h"
#include "SVGFEColorMatrixElementBinding.h"
#include "SVGFEComponentTransferElementBinding.h"
#include "SVGFECompositeElementBinding.h"
#include "SVGFEConvolveMatrixElementBinding.h"
#include "SVGFEDiffuseLightingElementBinding.h"
#include "SVGFEDisplacementMapElementBinding.h"
#include "SVGFEDistantLightElementBinding.h"
#include "SVGFEDropShadowElementBinding.h"
#include "SVGFEFloodElementBinding.h"
#include "SVGFEFuncAElementBinding.h"
#include "SVGFEFuncBElementBinding.h"
#include "SVGFEFuncGElementBinding.h"
#include "SVGFEFuncRElementBinding.h"
#include "SVGFEGaussianBlurElementBinding.h"
#include "SVGFEImageElementBinding.h"
#include "SVGFEMergeElementBinding.h"
#include "SVGFEMergeNodeElementBinding.h"
#include "SVGFEMorphologyElementBinding.h"
#include "SVGFEOffsetElementBinding.h"
#include "SVGFEPointLightElementBinding.h"
#include "SVGFESpecularLightingElementBinding.h"
#include "SVGFESpotLightElementBinding.h"
#include "SVGFETileElementBinding.h"
#include "SVGFETurbulenceElementBinding.h"
#include "SVGFilterElementBinding.h"
#include "SVGForeignObjectElementBinding.h"
#include "SVGGElementBinding.h"
#include "SVGGradientElementBinding.h"
#include "SVGGraphicsElementBinding.h"
#include "SVGImageElementBinding.h"
#include "SVGLengthBinding.h"
#include "SVGLengthListBinding.h"
#include "SVGLineElementBinding.h"
#include "SVGLinearGradientElementBinding.h"
#include "SVGMPathElementBinding.h"
#include "SVGMarkerElementBinding.h"
#include "SVGMaskElementBinding.h"
#include "SVGMatrixBinding.h"
#include "SVGMetadataElementBinding.h"
#include "SVGNumberBinding.h"
#include "SVGNumberListBinding.h"
#include "SVGPathElementBinding.h"
#include "SVGPathSegBinding.h"
#include "SVGPathSegListBinding.h"
#include "SVGPatternElementBinding.h"
#include "SVGPointBinding.h"
#include "SVGPointListBinding.h"
#include "SVGPolygonElementBinding.h"
#include "SVGPolylineElementBinding.h"
#include "SVGPreserveAspectRatioBinding.h"
#include "SVGRadialGradientElementBinding.h"
#include "SVGRectBinding.h"
#include "SVGRectElementBinding.h"
#include "SVGSVGElementBinding.h"
#include "SVGScriptElementBinding.h"
#include "SVGSetElementBinding.h"
#include "SVGStopElementBinding.h"
#include "SVGStringListBinding.h"
#include "SVGStyleElementBinding.h"
#include "SVGSwitchElementBinding.h"
#include "SVGSymbolElementBinding.h"
#include "SVGTSpanElementBinding.h"
#include "SVGTextContentElementBinding.h"
#include "SVGTextElementBinding.h"
#include "SVGTextPathElementBinding.h"
#include "SVGTextPositioningElementBinding.h"
#include "SVGTitleElementBinding.h"
#include "SVGTransformBinding.h"
#include "SVGTransformListBinding.h"
#include "SVGUnitTypesBinding.h"
#include "SVGUseElementBinding.h"
#include "SVGViewElementBinding.h"
#include "SVGZoomAndPanBinding.h"
#include "SVGZoomEventBinding.h"
#include "ScreenBinding.h"
#include "ScreenOrientationBinding.h"
#include "ScriptProcessorNodeBinding.h"
#include "ScrollAreaEventBinding.h"
#include "ScrollViewChangeEventBinding.h"
#include "SecureElementBinding.h"
#include "SecureElementManagerBinding.h"
#include "SelectionBinding.h"
#include "ServiceWorkerBinding.h"
#include "ServiceWorkerContainerBinding.h"
#include "ServiceWorkerMessageEventBinding.h"
#include "ServiceWorkerRegistrationBinding.h"
#include "SettingsManagerBinding.h"
#include "ShadowRootBinding.h"
#include "SharedWorkerBinding.h"
#include "SimpleGestureEventBinding.h"
#include "SmsMessageBinding.h"
#include "SourceBufferBinding.h"
#include "SourceBufferListBinding.h"
#include "SpeechGrammarBinding.h"
#include "SpeechGrammarListBinding.h"
#include "SpeechRecognitionAlternativeBinding.h"
#include "SpeechRecognitionBinding.h"
#include "SpeechRecognitionErrorBinding.h"
#include "SpeechRecognitionEventBinding.h"
#include "SpeechRecognitionResultBinding.h"
#include "SpeechRecognitionResultListBinding.h"
#include "SpeechSynthesisBinding.h"
#include "SpeechSynthesisErrorEventBinding.h"
#include "SpeechSynthesisEventBinding.h"
#include "SpeechSynthesisUtteranceBinding.h"
#include "SpeechSynthesisVoiceBinding.h"
#include "StereoPannerNodeBinding.h"
#include "StorageBinding.h"
#include "StorageEventBinding.h"
#include "StorageManagerBinding.h"
#include "StyleRuleChangeEventBinding.h"
#include "StyleSheetApplicableStateChangeEventBinding.h"
#include "StyleSheetBinding.h"
#include "StyleSheetChangeEventBinding.h"
#include "StyleSheetListBinding.h"
#include "SubtleCryptoBinding.h"
#include "SystemUpdateBinding.h"
#include "TCPServerSocketBinding.h"
#include "TCPServerSocketEventBinding.h"
#include "TCPSocketBinding.h"
#include "TCPSocketErrorEventBinding.h"
#include "TCPSocketEventBinding.h"
#include "TVChannelBinding.h"
#include "TVCurrentChannelChangedEventBinding.h"
#include "TVCurrentSourceChangedEventBinding.h"
#include "TVEITBroadcastedEventBinding.h"
#include "TVManagerBinding.h"
#include "TVProgramBinding.h"
#include "TVScanningStateChangedEventBinding.h"
#include "TVSourceBinding.h"
#include "TVTunerBinding.h"
#include "TelephonyBinding.h"
#include "TelephonyCallBinding.h"
#include "TelephonyCallGroupBinding.h"
#include "TelephonyCallIdBinding.h"
#include "TextBinding.h"
#include "TextClauseBinding.h"
#include "TextDecoderBinding.h"
#include "TextEncoderBinding.h"
#include "TextTrackBinding.h"
#include "TextTrackCueBinding.h"
#include "TextTrackCueListBinding.h"
#include "TextTrackListBinding.h"
#include "ThreadSafeChromeUtilsBinding.h"
#include "TimeEventBinding.h"
#include "TimeRangesBinding.h"
#include "TouchBinding.h"
#include "TouchEventBinding.h"
#include "TouchListBinding.h"
#include "TrackEventBinding.h"
#include "TransitionEventBinding.h"
#include "TreeColumnBinding.h"
#include "TreeColumnsBinding.h"
#include "TreeWalkerBinding.h"
#include "U2FBinding.h"
#include "UDPMessageEventBinding.h"
#include "UDPSocketBinding.h"
#include "UIEventBinding.h"
#include "URLBinding.h"
#include "URLSearchParamsBinding.h"
#include "USSDReceivedEventBinding.h"
#include "USSDSessionBinding.h"
#include "UndoManagerBinding.h"
#include "UserProximityEventBinding.h"
#include "VRDisplayBinding.h"
#include "VTTCueBinding.h"
#include "VTTRegionBinding.h"
#include "ValidityStateBinding.h"
#include "VideoPlaybackQualityBinding.h"
#include "VideoStreamTrackBinding.h"
#include "VideoTrackBinding.h"
#include "VideoTrackListBinding.h"
#include "WaveShaperNodeBinding.h"
#include "WebGL2RenderingContextBinding.h"
#include "WebGLContextEventBinding.h"
#include "WebGLRenderingContextBinding.h"
#include "WebKitCSSMatrixBinding.h"
#include "WebSocketBinding.h"
#include "WebrtcDeprecatedBinding.h"
#include "WebrtcGlobalInformationBinding.h"
#include "WheelEventBinding.h"
#include "WindowBinding.h"
#include "WindowRootBinding.h"
#include "WorkerBinding.h"
#include "XMLDocumentBinding.h"
#include "XMLHttpRequestBinding.h"
#include "XMLHttpRequestEventTargetBinding.h"
#include "XMLHttpRequestUploadBinding.h"
#include "XMLSerializerBinding.h"
#include "XMLStylesheetProcessingInstructionBinding.h"
#include "XPathEvaluatorBinding.h"
#include "XPathExpressionBinding.h"
#include "XPathResultBinding.h"
#include "XSLTProcessorBinding.h"
#include "XULCommandEventBinding.h"
#include "XULDocumentBinding.h"
#include "XULElementBinding.h"
#include "mozilla/dom/WebIDLGlobalNameHash.h"

namespace mozilla {
namespace dom {
const uint32_t WebIDLGlobalNameHash::sCount = 733;

const char WebIDLGlobalNameHash::sNames[] =
  /* 0 */ "AVInputPort\0"
  /* 12 */ "AccessibleNode\0"
  /* 27 */ "Addon\0"
  /* 33 */ "AddonEvent\0"
  /* 44 */ "AddonInstall\0"
  /* 57 */ "AddonManager\0"
  /* 70 */ "AnalyserNode\0"
  /* 83 */ "Animation\0"
  /* 93 */ "AnimationEffectReadOnly\0"
  /* 117 */ "AnimationEffectTiming\0"
  /* 139 */ "AnimationEffectTimingReadOnly\0"
  /* 169 */ "AnimationEvent\0"
  /* 184 */ "AnimationPlaybackEvent\0"
  /* 207 */ "AnimationTimeline\0"
  /* 225 */ "AnonymousContent\0"
  /* 242 */ "ArchiveReader\0"
  /* 256 */ "ArchiveRequest\0"
  /* 271 */ "Attr\0"
  /* 276 */ "AudioBuffer\0"
  /* 288 */ "AudioBufferSourceNode\0"
  /* 310 */ "AudioContext\0"
  /* 323 */ "AudioDestinationNode\0"
  /* 344 */ "AudioListener\0"
  /* 358 */ "AudioNode\0"
  /* 368 */ "AudioParam\0"
  /* 379 */ "AudioProcessingEvent\0"
  /* 400 */ "AudioStreamTrack\0"
  /* 417 */ "AudioTrack\0"
  /* 428 */ "AudioTrackList\0"
  /* 443 */ "AutocompleteErrorEvent\0"
  /* 466 */ "BarProp\0"
  /* 474 */ "BatteryManager\0"
  /* 489 */ "BeforeAfterKeyboardEvent\0"
  /* 514 */ "BeforeUnloadEvent\0"
  /* 532 */ "BiquadFilterNode\0"
  /* 549 */ "Blob\0"
  /* 554 */ "BlobEvent\0"
  /* 564 */ "BoxObject\0"
  /* 574 */ "BroadcastChannel\0"
  /* 591 */ "BrowserElementAudioChannel\0"
  /* 618 */ "BrowserElementProxy\0"
  /* 638 */ "BrowserFeedWriter\0"
  /* 656 */ "CDATASection\0"
  /* 669 */ "CFStateChangeEvent\0"
  /* 688 */ "CSS\0"
  /* 692 */ "CSS2Properties\0"
  /* 707 */ "CSSAnimation\0"
  /* 720 */ "CSSLexer\0"
  /* 729 */ "CSSPrimitiveValue\0"
  /* 747 */ "CSSPseudoElement\0"
  /* 764 */ "CSSRuleList\0"
  /* 776 */ "CSSStyleDeclaration\0"
  /* 796 */ "CSSStyleSheet\0"
  /* 810 */ "CSSTransition\0"
  /* 824 */ "CSSValue\0"
  /* 833 */ "CSSValueList\0"
  /* 846 */ "Cache\0"
  /* 852 */ "CacheStorage\0"
  /* 865 */ "CallEvent\0"
  /* 875 */ "CallGroupErrorEvent\0"
  /* 895 */ "CameraCapabilities\0"
  /* 914 */ "CameraClosedEvent\0"
  /* 932 */ "CameraConfigurationEvent\0"
  /* 957 */ "CameraControl\0"
  /* 971 */ "CameraDetectedFace\0"
  /* 990 */ "CameraFacesDetectedEvent\0"
  /* 1015 */ "CameraManager\0"
  /* 1029 */ "CameraRecorderAudioProfile\0"
  /* 1056 */ "CameraRecorderProfile\0"
  /* 1078 */ "CameraRecorderProfiles\0"
  /* 1101 */ "CameraRecorderVideoProfile\0"
  /* 1128 */ "CameraStateChangeEvent\0"
  /* 1151 */ "CanvasCaptureMediaStream\0"
  /* 1176 */ "CanvasGradient\0"
  /* 1191 */ "CanvasPattern\0"
  /* 1205 */ "CanvasRenderingContext2D\0"
  /* 1230 */ "CaretPosition\0"
  /* 1244 */ "CaretStateChangedEvent\0"
  /* 1267 */ "ChannelMergerNode\0"
  /* 1285 */ "ChannelSplitterNode\0"
  /* 1305 */ "CharacterData\0"
  /* 1319 */ "CheckerboardReportService\0"
  /* 1345 */ "ChromeNodeList\0"
  /* 1360 */ "ChromeNotifications\0"
  /* 1380 */ "ChromeUtils\0"
  /* 1392 */ "ChromeWindow\0"
  /* 1405 */ "ChromeWorker\0"
  /* 1418 */ "ClipboardEvent\0"
  /* 1433 */ "CloseEvent\0"
  /* 1444 */ "CommandEvent\0"
  /* 1457 */ "Comment\0"
  /* 1465 */ "CompositionEvent\0"
  /* 1482 */ "ConvolverNode\0"
  /* 1496 */ "CreateOfferRequest\0"
  /* 1515 */ "Crypto\0"
  /* 1522 */ "CryptoKey\0"
  /* 1532 */ "CustomElementsRegistry\0"
  /* 1555 */ "CustomEvent\0"
  /* 1567 */ "DOMCursor\0"
  /* 1577 */ "DOMDownload\0"
  /* 1589 */ "DOMError\0"
  /* 1598 */ "DOMException\0"
  /* 1611 */ "DOMImplementation\0"
  /* 1629 */ "DOMMatrix\0"
  /* 1639 */ "DOMMatrixReadOnly\0"
  /* 1657 */ "DOMMobileMessageError\0"
  /* 1679 */ "DOMParser\0"
  /* 1689 */ "DOMPoint\0"
  /* 1698 */ "DOMPointReadOnly\0"
  /* 1715 */ "DOMQuad\0"
  /* 1723 */ "DOMRect\0"
  /* 1731 */ "DOMRectList\0"
  /* 1743 */ "DOMRectReadOnly\0"
  /* 1759 */ "DOMRequest\0"
  /* 1770 */ "DOMStringList\0"
  /* 1784 */ "DOMStringMap\0"
  /* 1797 */ "DOMTokenList\0"
  /* 1810 */ "DOMTransactionEvent\0"
  /* 1830 */ "DataChannel\0"
  /* 1842 */ "DataContainerEvent\0"
  /* 1861 */ "DataErrorEvent\0"
  /* 1876 */ "DataTransfer\0"
  /* 1889 */ "DataTransferItem\0"
  /* 1906 */ "DataTransferItemList\0"
  /* 1927 */ "DelayNode\0"
  /* 1937 */ "DesktopNotification\0"
  /* 1957 */ "DesktopNotificationCenter\0"
  /* 1983 */ "DeviceLightEvent\0"
  /* 2000 */ "DeviceMotionEvent\0"
  /* 2018 */ "DeviceOrientationEvent\0"
  /* 2041 */ "DeviceProximityEvent\0"
  /* 2062 */ "DeviceStorage\0"
  /* 2076 */ "DeviceStorageAreaChangedEvent\0"
  /* 2106 */ "DeviceStorageAreaListener\0"
  /* 2132 */ "DeviceStorageChangeEvent\0"
  /* 2157 */ "Directory\0"
  /* 2167 */ "DisplayPortInputPort\0"
  /* 2188 */ "Document\0"
  /* 2197 */ "DocumentFragment\0"
  /* 2214 */ "DocumentTimeline\0"
  /* 2231 */ "DocumentType\0"
  /* 2244 */ "DominatorTree\0"
  /* 2258 */ "DownloadEvent\0"
  /* 2272 */ "DragEvent\0"
  /* 2282 */ "DynamicsCompressorNode\0"
  /* 2305 */ "Element\0"
  /* 2313 */ "ErrorEvent\0"
  /* 2324 */ "Event\0"
  /* 2330 */ "EventSource\0"
  /* 2342 */ "EventTarget\0"
  /* 2354 */ "External\0"
  /* 2363 */ "File\0"
  /* 2368 */ "FileList\0"
  /* 2377 */ "FileReader\0"
  /* 2388 */ "FileSystem\0"
  /* 2399 */ "FileSystemDirectoryEntry\0"
  /* 2424 */ "FileSystemDirectoryReader\0"
  /* 2450 */ "FileSystemEntry\0"
  /* 2466 */ "FileSystemFileEntry\0"
  /* 2486 */ "FlyWebDiscoveryManager\0"
  /* 2509 */ "FlyWebFetchEvent\0"
  /* 2526 */ "FlyWebPublishedServer\0"
  /* 2548 */ "FlyWebWebSocketEvent\0"
  /* 2569 */ "FocusEvent\0"
  /* 2580 */ "FontFace\0"
  /* 2589 */ "FontFaceSet\0"
  /* 2601 */ "FontFaceSetLoadEvent\0"
  /* 2622 */ "FormData\0"
  /* 2631 */ "GainNode\0"
  /* 2640 */ "Gamepad\0"
  /* 2648 */ "GamepadAxisMoveEvent\0"
  /* 2669 */ "GamepadButton\0"
  /* 2683 */ "GamepadButtonEvent\0"
  /* 2702 */ "GamepadEvent\0"
  /* 2715 */ "GamepadServiceTest\0"
  /* 2734 */ "Grid\0"
  /* 2739 */ "GridArea\0"
  /* 2748 */ "GridDimension\0"
  /* 2762 */ "GridLine\0"
  /* 2771 */ "GridLines\0"
  /* 2781 */ "GridTrack\0"
  /* 2791 */ "GridTracks\0"
  /* 2802 */ "HDMIInputPort\0"
  /* 2816 */ "HTMLAllCollection\0"
  /* 2834 */ "HTMLAnchorElement\0"
  /* 2852 */ "HTMLAppletElement\0"
  /* 2870 */ "HTMLAreaElement\0"
  /* 2886 */ "HTMLAudioElement\0"
  /* 2903 */ "Audio\0"
  /* 2909 */ "HTMLBRElement\0"
  /* 2923 */ "HTMLBaseElement\0"
  /* 2939 */ "HTMLBodyElement\0"
  /* 2955 */ "HTMLButtonElement\0"
  /* 2973 */ "HTMLCanvasElement\0"
  /* 2991 */ "HTMLCollection\0"
  /* 3006 */ "HTMLContentElement\0"
  /* 3025 */ "HTMLDListElement\0"
  /* 3042 */ "HTMLDataElement\0"
  /* 3058 */ "HTMLDataListElement\0"
  /* 3078 */ "HTMLDetailsElement\0"
  /* 3097 */ "HTMLDirectoryElement\0"
  /* 3118 */ "HTMLDivElement\0"
  /* 3133 */ "HTMLDocument\0"
  /* 3146 */ "HTMLElement\0"
  /* 3158 */ "HTMLEmbedElement\0"
  /* 3175 */ "HTMLFieldSetElement\0"
  /* 3195 */ "HTMLFontElement\0"
  /* 3211 */ "HTMLFormControlsCollection\0"
  /* 3238 */ "HTMLFormElement\0"
  /* 3254 */ "HTMLFrameElement\0"
  /* 3271 */ "HTMLFrameSetElement\0"
  /* 3291 */ "HTMLHRElement\0"
  /* 3305 */ "HTMLHeadElement\0"
  /* 3321 */ "HTMLHeadingElement\0"
  /* 3340 */ "HTMLHtmlElement\0"
  /* 3356 */ "HTMLIFrameElement\0"
  /* 3374 */ "HTMLImageElement\0"
  /* 3391 */ "Image\0"
  /* 3397 */ "HTMLInputElement\0"
  /* 3414 */ "HTMLLIElement\0"
  /* 3428 */ "HTMLLabelElement\0"
  /* 3445 */ "HTMLLegendElement\0"
  /* 3463 */ "HTMLLinkElement\0"
  /* 3479 */ "HTMLMapElement\0"
  /* 3494 */ "HTMLMediaElement\0"
  /* 3511 */ "HTMLMenuElement\0"
  /* 3527 */ "HTMLMenuItemElement\0"
  /* 3547 */ "HTMLMetaElement\0"
  /* 3563 */ "HTMLMeterElement\0"
  /* 3580 */ "HTMLModElement\0"
  /* 3595 */ "HTMLOListElement\0"
  /* 3612 */ "HTMLObjectElement\0"
  /* 3630 */ "HTMLOptGroupElement\0"
  /* 3650 */ "HTMLOptionElement\0"
  /* 3668 */ "Option\0"
  /* 3675 */ "HTMLOptionsCollection\0"
  /* 3697 */ "HTMLOutputElement\0"
  /* 3715 */ "HTMLParagraphElement\0"
  /* 3736 */ "HTMLParamElement\0"
  /* 3753 */ "HTMLPictureElement\0"
  /* 3772 */ "HTMLPreElement\0"
  /* 3787 */ "HTMLProgressElement\0"
  /* 3807 */ "HTMLQuoteElement\0"
  /* 3824 */ "HTMLScriptElement\0"
  /* 3842 */ "HTMLSelectElement\0"
  /* 3860 */ "HTMLShadowElement\0"
  /* 3878 */ "HTMLSourceElement\0"
  /* 3896 */ "HTMLSpanElement\0"
  /* 3912 */ "HTMLStyleElement\0"
  /* 3929 */ "HTMLTableCaptionElement\0"
  /* 3953 */ "HTMLTableCellElement\0"
  /* 3974 */ "HTMLTableColElement\0"
  /* 3994 */ "HTMLTableElement\0"
  /* 4011 */ "HTMLTableRowElement\0"
  /* 4031 */ "HTMLTableSectionElement\0"
  /* 4055 */ "HTMLTemplateElement\0"
  /* 4075 */ "HTMLTextAreaElement\0"
  /* 4095 */ "HTMLTimeElement\0"
  /* 4111 */ "HTMLTitleElement\0"
  /* 4128 */ "HTMLTrackElement\0"
  /* 4145 */ "HTMLUListElement\0"
  /* 4162 */ "HTMLUnknownElement\0"
  /* 4181 */ "HTMLVideoElement\0"
  /* 4198 */ "HashChangeEvent\0"
  /* 4214 */ "Headers\0"
  /* 4222 */ "HeapSnapshot\0"
  /* 4235 */ "HiddenPluginEvent\0"
  /* 4253 */ "History\0"
  /* 4261 */ "IDBCursor\0"
  /* 4271 */ "IDBCursorWithValue\0"
  /* 4290 */ "IDBDatabase\0"
  /* 4302 */ "IDBFactory\0"
  /* 4313 */ "IDBFileHandle\0"
  /* 4327 */ "IDBFileRequest\0"
  /* 4342 */ "IDBIndex\0"
  /* 4351 */ "IDBKeyRange\0"
  /* 4363 */ "IDBLocaleAwareKeyRange\0"
  /* 4386 */ "IDBMutableFile\0"
  /* 4401 */ "IDBObjectStore\0"
  /* 4416 */ "IDBOpenDBRequest\0"
  /* 4433 */ "IDBRequest\0"
  /* 4444 */ "IDBTransaction\0"
  /* 4459 */ "IDBVersionChangeEvent\0"
  /* 4481 */ "IIRFilterNode\0"
  /* 4495 */ "IccCardLockError\0"
  /* 4512 */ "IccChangeEvent\0"
  /* 4527 */ "ImageBitmap\0"
  /* 4539 */ "ImageBitmapRenderingContext\0"
  /* 4567 */ "ImageCapture\0"
  /* 4580 */ "ImageCaptureErrorEvent\0"
  /* 4603 */ "ImageData\0"
  /* 4613 */ "ImageDocument\0"
  /* 4627 */ "InputEvent\0"
  /* 4638 */ "InputPort\0"
  /* 4648 */ "InputPortManager\0"
  /* 4665 */ "InstallTriggerImpl\0"
  /* 4684 */ "KeyEvent\0"
  /* 4693 */ "KeyboardEvent\0"
  /* 4707 */ "KeyframeEffect\0"
  /* 4722 */ "KeyframeEffectReadOnly\0"
  /* 4745 */ "LocalMediaStream\0"
  /* 4762 */ "Location\0"
  /* 4771 */ "MMICall\0"
  /* 4779 */ "MediaDeviceInfo\0"
  /* 4795 */ "MediaDevices\0"
  /* 4808 */ "MediaElementAudioSourceNode\0"
  /* 4836 */ "MediaEncryptedEvent\0"
  /* 4856 */ "MediaError\0"
  /* 4867 */ "MediaKeyError\0"
  /* 4881 */ "MediaKeyMessageEvent\0"
  /* 4902 */ "MediaKeySession\0"
  /* 4918 */ "MediaKeyStatusMap\0"
  /* 4936 */ "MediaKeySystemAccess\0"
  /* 4957 */ "MediaKeys\0"
  /* 4967 */ "MediaList\0"
  /* 4977 */ "MediaQueryList\0"
  /* 4992 */ "MediaRecorder\0"
  /* 5006 */ "MediaSource\0"
  /* 5018 */ "MediaStream\0"
  /* 5030 */ "MediaStreamAudioDestinationNode\0"
  /* 5062 */ "MediaStreamAudioSourceNode\0"
  /* 5089 */ "MediaStreamEvent\0"
  /* 5106 */ "MediaStreamList\0"
  /* 5122 */ "MediaStreamTrack\0"
  /* 5139 */ "MediaStreamTrackEvent\0"
  /* 5161 */ "MenuBoxObject\0"
  /* 5175 */ "MessageChannel\0"
  /* 5190 */ "MessageEvent\0"
  /* 5203 */ "MessagePort\0"
  /* 5215 */ "MimeType\0"
  /* 5224 */ "MimeTypeArray\0"
  /* 5238 */ "MmsMessage\0"
  /* 5249 */ "MobileMessageThread\0"
  /* 5269 */ "MouseEvent\0"
  /* 5280 */ "MouseScrollEvent\0"
  /* 5297 */ "MozCanvasPrintState\0"
  /* 5317 */ "MozCdmaIccInfo\0"
  /* 5332 */ "MozCellBroadcast\0"
  /* 5349 */ "MozCellBroadcastEtwsInfo\0"
  /* 5374 */ "MozCellBroadcastEvent\0"
  /* 5396 */ "MozCellBroadcastMessage\0"
  /* 5420 */ "MozClirModeEvent\0"
  /* 5437 */ "MozContactChangeEvent\0"
  /* 5459 */ "MozEmergencyCbModeEvent\0"
  /* 5483 */ "MozGsmIccInfo\0"
  /* 5497 */ "MozHardwareInput\0"
  /* 5514 */ "MozIcc\0"
  /* 5521 */ "MozIccInfo\0"
  /* 5532 */ "MozIccManager\0"
  /* 5546 */ "MozInputContext\0"
  /* 5562 */ "MozInputContextFocusEventDetail\0"
  /* 5594 */ "MozInputContextSelectionChangeEventDetail\0"
  /* 5636 */ "MozInputContextSurroundingTextChangeEventDetail\0"
  /* 5684 */ "MozInputMethod\0"
  /* 5699 */ "MozInputMethodManager\0"
  /* 5721 */ "MozInputRegistryEventDetail\0"
  /* 5749 */ "MozMessageDeletedEvent\0"
  /* 5772 */ "MozMmsEvent\0"
  /* 5784 */ "MozMobileCellInfo\0"
  /* 5802 */ "MozMobileConnection\0"
  /* 5822 */ "MozMobileConnectionArray\0"
  /* 5847 */ "MozMobileConnectionInfo\0"
  /* 5871 */ "MozMobileMessageManager\0"
  /* 5895 */ "MozMobileNetworkInfo\0"
  /* 5916 */ "MozOtaStatusEvent\0"
  /* 5934 */ "MozPowerManager\0"
  /* 5950 */ "MozSelfSupport\0"
  /* 5965 */ "MozSettingsEvent\0"
  /* 5982 */ "MozSettingsTransactionEvent\0"
  /* 6010 */ "MozSmsEvent\0"
  /* 6022 */ "MozStkCommandEvent\0"
  /* 6041 */ "MozTetheringManager\0"
  /* 6061 */ "MozTimeManager\0"
  /* 6076 */ "MozVoicemail\0"
  /* 6089 */ "MozVoicemailEvent\0"
  /* 6107 */ "MozVoicemailStatus\0"
  /* 6126 */ "MozWakeLock\0"
  /* 6138 */ "MutationEvent\0"
  /* 6152 */ "MutationObserver\0"
  /* 6169 */ "MutationRecord\0"
  /* 6184 */ "NamedNodeMap\0"
  /* 6197 */ "Navigator\0"
  /* 6207 */ "NetworkInformation\0"
  /* 6226 */ "NetworkStatsData\0"
  /* 6243 */ "Node\0"
  /* 6248 */ "NodeFilter\0"
  /* 6259 */ "NodeIterator\0"
  /* 6272 */ "NodeList\0"
  /* 6281 */ "Notification\0"
  /* 6294 */ "NotifyPaintEvent\0"
  /* 6311 */ "OfflineAudioCompletionEvent\0"
  /* 6339 */ "OfflineAudioContext\0"
  /* 6359 */ "OfflineResourceList\0"
  /* 6379 */ "OffscreenCanvas\0"
  /* 6395 */ "OscillatorNode\0"
  /* 6410 */ "PageTransitionEvent\0"
  /* 6430 */ "PaintRequest\0"
  /* 6443 */ "PaintRequestList\0"
  /* 6460 */ "PannerNode\0"
  /* 6471 */ "Path2D\0"
  /* 6478 */ "PeerConnectionImpl\0"
  /* 6497 */ "PeerConnectionObserver\0"
  /* 6520 */ "Performance\0"
  /* 6532 */ "PerformanceEntry\0"
  /* 6549 */ "PerformanceEntryEvent\0"
  /* 6571 */ "PerformanceMark\0"
  /* 6587 */ "PerformanceMeasure\0"
  /* 6606 */ "PerformanceNavigation\0"
  /* 6628 */ "PerformanceObserver\0"
  /* 6648 */ "PerformanceObserverEntryList\0"
  /* 6677 */ "PerformanceResourceTiming\0"
  /* 6703 */ "PerformanceTiming\0"
  /* 6721 */ "PeriodicWave\0"
  /* 6734 */ "PermissionSettings\0"
  /* 6753 */ "PermissionStatus\0"
  /* 6770 */ "Permissions\0"
  /* 6782 */ "PhoneNumberService\0"
  /* 6801 */ "Plugin\0"
  /* 6808 */ "PluginArray\0"
  /* 6820 */ "PluginCrashedEvent\0"
  /* 6839 */ "PointerEvent\0"
  /* 6852 */ "PopStateEvent\0"
  /* 6866 */ "PopupBlockedEvent\0"
  /* 6884 */ "PopupBoxObject\0"
  /* 6899 */ "PowerStatsData\0"
  /* 6914 */ "Presentation\0"
  /* 6927 */ "PresentationAvailability\0"
  /* 6952 */ "PresentationConnection\0"
  /* 6975 */ "PresentationConnectionAvailableEvent\0"
  /* 7012 */ "PresentationConnectionClosedEvent\0"
  /* 7046 */ "PresentationConnectionList\0"
  /* 7073 */ "PresentationDeviceInfoManager\0"
  /* 7103 */ "PresentationReceiver\0"
  /* 7124 */ "PresentationRequest\0"
  /* 7144 */ "ProcessingInstruction\0"
  /* 7166 */ "ProgressEvent\0"
  /* 7180 */ "PromiseDebugging\0"
  /* 7197 */ "PushManager\0"
  /* 7209 */ "PushManagerImpl\0"
  /* 7225 */ "PushSubscription\0"
  /* 7242 */ "PushSubscriptionOptions\0"
  /* 7266 */ "RGBColor\0"
  /* 7275 */ "RTCCertificate\0"
  /* 7290 */ "RTCDataChannelEvent\0"
  /* 7310 */ "RTCIceCandidate\0"
  /* 7326 */ "RTCPeerConnection\0"
  /* 7344 */ "RTCPeerConnectionIceEvent\0"
  /* 7370 */ "RTCPeerConnectionStatic\0"
  /* 7394 */ "RTCRtpReceiver\0"
  /* 7409 */ "RTCRtpSender\0"
  /* 7422 */ "RTCSessionDescription\0"
  /* 7444 */ "RTCStatsReport\0"
  /* 7459 */ "RTCTrackEvent\0"
  /* 7473 */ "RadioNodeList\0"
  /* 7487 */ "Range\0"
  /* 7493 */ "RecordErrorEvent\0"
  /* 7510 */ "Rect\0"
  /* 7515 */ "Request\0"
  /* 7523 */ "ResourceStats\0"
  /* 7537 */ "ResourceStatsAlarm\0"
  /* 7556 */ "ResourceStatsManager\0"
  /* 7577 */ "Response\0"
  /* 7586 */ "SEChannel\0"
  /* 7596 */ "SEReader\0"
  /* 7605 */ "SEResponse\0"
  /* 7616 */ "SESession\0"
  /* 7626 */ "SVGAElement\0"
  /* 7638 */ "SVGAngle\0"
  /* 7647 */ "SVGAnimateElement\0"
  /* 7665 */ "SVGAnimateMotionElement\0"
  /* 7689 */ "SVGAnimateTransformElement\0"
  /* 7716 */ "SVGAnimatedAngle\0"
  /* 7733 */ "SVGAnimatedBoolean\0"
  /* 7752 */ "SVGAnimatedEnumeration\0"
  /* 7775 */ "SVGAnimatedInteger\0"
  /* 7794 */ "SVGAnimatedLength\0"
  /* 7812 */ "SVGAnimatedLengthList\0"
  /* 7834 */ "SVGAnimatedNumber\0"
  /* 7852 */ "SVGAnimatedNumberList\0"
  /* 7874 */ "SVGAnimatedPreserveAspectRatio\0"
  /* 7905 */ "SVGAnimatedRect\0"
  /* 7921 */ "SVGAnimatedString\0"
  /* 7939 */ "SVGAnimatedTransformList\0"
  /* 7964 */ "SVGAnimationElement\0"
  /* 7984 */ "SVGCircleElement\0"
  /* 8001 */ "SVGClipPathElement\0"
  /* 8020 */ "SVGComponentTransferFunctionElement\0"
  /* 8056 */ "SVGDefsElement\0"
  /* 8071 */ "SVGDescElement\0"
  /* 8086 */ "SVGDocument\0"
  /* 8098 */ "SVGElement\0"
  /* 8109 */ "SVGEllipseElement\0"
  /* 8127 */ "SVGFEBlendElement\0"
  /* 8145 */ "SVGFEColorMatrixElement\0"
  /* 8169 */ "SVGFEComponentTransferElement\0"
  /* 8199 */ "SVGFECompositeElement\0"
  /* 8221 */ "SVGFEConvolveMatrixElement\0"
  /* 8248 */ "SVGFEDiffuseLightingElement\0"
  /* 8276 */ "SVGFEDisplacementMapElement\0"
  /* 8304 */ "SVGFEDistantLightElement\0"
  /* 8329 */ "SVGFEDropShadowElement\0"
  /* 8352 */ "SVGFEFloodElement\0"
  /* 8370 */ "SVGFEFuncAElement\0"
  /* 8388 */ "SVGFEFuncBElement\0"
  /* 8406 */ "SVGFEFuncGElement\0"
  /* 8424 */ "SVGFEFuncRElement\0"
  /* 8442 */ "SVGFEGaussianBlurElement\0"
  /* 8467 */ "SVGFEImageElement\0"
  /* 8485 */ "SVGFEMergeElement\0"
  /* 8503 */ "SVGFEMergeNodeElement\0"
  /* 8525 */ "SVGFEMorphologyElement\0"
  /* 8548 */ "SVGFEOffsetElement\0"
  /* 8567 */ "SVGFEPointLightElement\0"
  /* 8590 */ "SVGFESpecularLightingElement\0"
  /* 8619 */ "SVGFESpotLightElement\0"
  /* 8641 */ "SVGFETileElement\0"
  /* 8658 */ "SVGFETurbulenceElement\0"
  /* 8681 */ "SVGFilterElement\0"
  /* 8698 */ "SVGForeignObjectElement\0"
  /* 8722 */ "SVGGElement\0"
  /* 8734 */ "SVGGradientElement\0"
  /* 8753 */ "SVGGraphicsElement\0"
  /* 8772 */ "SVGImageElement\0"
  /* 8788 */ "SVGLength\0"
  /* 8798 */ "SVGLengthList\0"
  /* 8812 */ "SVGLineElement\0"
  /* 8827 */ "SVGLinearGradientElement\0"
  /* 8852 */ "SVGMPathElement\0"
  /* 8868 */ "SVGMarkerElement\0"
  /* 8885 */ "SVGMaskElement\0"
  /* 8900 */ "SVGMatrix\0"
  /* 8910 */ "SVGMetadataElement\0"
  /* 8929 */ "SVGNumber\0"
  /* 8939 */ "SVGNumberList\0"
  /* 8953 */ "SVGPathElement\0"
  /* 8968 */ "SVGPathSeg\0"
  /* 8979 */ "SVGPathSegArcAbs\0"
  /* 8996 */ "SVGPathSegArcRel\0"
  /* 9013 */ "SVGPathSegClosePath\0"
  /* 9033 */ "SVGPathSegCurvetoCubicAbs\0"
  /* 9059 */ "SVGPathSegCurvetoCubicRel\0"
  /* 9085 */ "SVGPathSegCurvetoCubicSmoothAbs\0"
  /* 9117 */ "SVGPathSegCurvetoCubicSmoothRel\0"
  /* 9149 */ "SVGPathSegCurvetoQuadraticAbs\0"
  /* 9179 */ "SVGPathSegCurvetoQuadraticRel\0"
  /* 9209 */ "SVGPathSegCurvetoQuadraticSmoothAbs\0"
  /* 9245 */ "SVGPathSegCurvetoQuadraticSmoothRel\0"
  /* 9281 */ "SVGPathSegLinetoAbs\0"
  /* 9301 */ "SVGPathSegLinetoHorizontalAbs\0"
  /* 9331 */ "SVGPathSegLinetoHorizontalRel\0"
  /* 9361 */ "SVGPathSegLinetoRel\0"
  /* 9381 */ "SVGPathSegLinetoVerticalAbs\0"
  /* 9409 */ "SVGPathSegLinetoVerticalRel\0"
  /* 9437 */ "SVGPathSegList\0"
  /* 9452 */ "SVGPathSegMovetoAbs\0"
  /* 9472 */ "SVGPathSegMovetoRel\0"
  /* 9492 */ "SVGPatternElement\0"
  /* 9510 */ "SVGPoint\0"
  /* 9519 */ "SVGPointList\0"
  /* 9532 */ "SVGPolygonElement\0"
  /* 9550 */ "SVGPolylineElement\0"
  /* 9569 */ "SVGPreserveAspectRatio\0"
  /* 9592 */ "SVGRadialGradientElement\0"
  /* 9617 */ "SVGRect\0"
  /* 9625 */ "SVGRectElement\0"
  /* 9640 */ "SVGSVGElement\0"
  /* 9654 */ "SVGScriptElement\0"
  /* 9671 */ "SVGSetElement\0"
  /* 9685 */ "SVGStopElement\0"
  /* 9700 */ "SVGStringList\0"
  /* 9714 */ "SVGStyleElement\0"
  /* 9730 */ "SVGSwitchElement\0"
  /* 9747 */ "SVGSymbolElement\0"
  /* 9764 */ "SVGTSpanElement\0"
  /* 9780 */ "SVGTextContentElement\0"
  /* 9802 */ "SVGTextElement\0"
  /* 9817 */ "SVGTextPathElement\0"
  /* 9836 */ "SVGTextPositioningElement\0"
  /* 9862 */ "SVGTitleElement\0"
  /* 9878 */ "SVGTransform\0"
  /* 9891 */ "SVGTransformList\0"
  /* 9908 */ "SVGUnitTypes\0"
  /* 9921 */ "SVGUseElement\0"
  /* 9935 */ "SVGViewElement\0"
  /* 9950 */ "SVGZoomAndPan\0"
  /* 9964 */ "SVGZoomEvent\0"
  /* 9977 */ "Screen\0"
  /* 9984 */ "ScreenOrientation\0"
  /* 10002 */ "ScriptProcessorNode\0"
  /* 10022 */ "ScrollAreaEvent\0"
  /* 10038 */ "ScrollViewChangeEvent\0"
  /* 10060 */ "Selection\0"
  /* 10070 */ "ServiceWorker\0"
  /* 10084 */ "ServiceWorkerContainer\0"
  /* 10107 */ "ServiceWorkerMessageEvent\0"
  /* 10133 */ "ServiceWorkerRegistration\0"
  /* 10159 */ "SettingsLock\0"
  /* 10172 */ "SettingsManager\0"
  /* 10188 */ "ShadowRoot\0"
  /* 10199 */ "SharedWorker\0"
  /* 10212 */ "SimpleGestureEvent\0"
  /* 10231 */ "SmsMessage\0"
  /* 10242 */ "SourceBuffer\0"
  /* 10255 */ "SourceBufferList\0"
  /* 10272 */ "SpeechGrammar\0"
  /* 10286 */ "SpeechGrammarList\0"
  /* 10304 */ "SpeechRecognition\0"
  /* 10322 */ "SpeechRecognitionAlternative\0"
  /* 10351 */ "SpeechRecognitionError\0"
  /* 10374 */ "SpeechRecognitionEvent\0"
  /* 10397 */ "SpeechRecognitionResult\0"
  /* 10421 */ "SpeechRecognitionResultList\0"
  /* 10449 */ "SpeechSynthesis\0"
  /* 10465 */ "SpeechSynthesisErrorEvent\0"
  /* 10491 */ "SpeechSynthesisEvent\0"
  /* 10512 */ "SpeechSynthesisUtterance\0"
  /* 10537 */ "SpeechSynthesisVoice\0"
  /* 10558 */ "StereoPannerNode\0"
  /* 10575 */ "Storage\0"
  /* 10583 */ "StorageEvent\0"
  /* 10596 */ "StorageManager\0"
  /* 10611 */ "StyleRuleChangeEvent\0"
  /* 10632 */ "StyleSheet\0"
  /* 10643 */ "StyleSheetApplicableStateChangeEvent\0"
  /* 10680 */ "StyleSheetChangeEvent\0"
  /* 10702 */ "StyleSheetList\0"
  /* 10717 */ "SubtleCrypto\0"
  /* 10730 */ "SystemUpdateManager\0"
  /* 10750 */ "SystemUpdateProvider\0"
  /* 10771 */ "TCPServerSocket\0"
  /* 10787 */ "TCPServerSocketEvent\0"
  /* 10808 */ "TCPSocket\0"
  /* 10818 */ "TCPSocketErrorEvent\0"
  /* 10838 */ "TCPSocketEvent\0"
  /* 10853 */ "TVChannel\0"
  /* 10863 */ "TVCurrentChannelChangedEvent\0"
  /* 10892 */ "TVCurrentSourceChangedEvent\0"
  /* 10920 */ "TVEITBroadcastedEvent\0"
  /* 10942 */ "TVManager\0"
  /* 10952 */ "TVProgram\0"
  /* 10962 */ "TVScanningStateChangedEvent\0"
  /* 10990 */ "TVSource\0"
  /* 10999 */ "TVTuner\0"
  /* 11007 */ "Telephony\0"
  /* 11017 */ "TelephonyCall\0"
  /* 11031 */ "TelephonyCallGroup\0"
  /* 11050 */ "TelephonyCallId\0"
  /* 11066 */ "Text\0"
  /* 11071 */ "TextClause\0"
  /* 11082 */ "TextDecoder\0"
  /* 11094 */ "TextEncoder\0"
  /* 11106 */ "TextMetrics\0"
  /* 11118 */ "TextTrack\0"
  /* 11128 */ "TextTrackCue\0"
  /* 11141 */ "TextTrackCueList\0"
  /* 11158 */ "TextTrackList\0"
  /* 11172 */ "ThreadSafeChromeUtils\0"
  /* 11194 */ "TimeEvent\0"
  /* 11204 */ "TimeRanges\0"
  /* 11215 */ "Touch\0"
  /* 11221 */ "TouchEvent\0"
  /* 11232 */ "TouchList\0"
  /* 11242 */ "TrackEvent\0"
  /* 11253 */ "TransitionEvent\0"
  /* 11269 */ "TreeColumn\0"
  /* 11280 */ "TreeColumns\0"
  /* 11292 */ "TreeWalker\0"
  /* 11303 */ "U2F\0"
  /* 11307 */ "UDPMessageEvent\0"
  /* 11323 */ "UDPSocket\0"
  /* 11333 */ "UIEvent\0"
  /* 11341 */ "URL\0"
  /* 11345 */ "URLSearchParams\0"
  /* 11361 */ "USSDReceivedEvent\0"
  /* 11379 */ "USSDSession\0"
  /* 11391 */ "UndoManager\0"
  /* 11403 */ "UserProximityEvent\0"
  /* 11422 */ "VRDisplay\0"
  /* 11432 */ "VRDisplayCapabilities\0"
  /* 11454 */ "VREyeParameters\0"
  /* 11470 */ "VRFieldOfView\0"
  /* 11484 */ "VRPose\0"
  /* 11491 */ "VRStageParameters\0"
  /* 11509 */ "VTTCue\0"
  /* 11516 */ "VTTRegion\0"
  /* 11526 */ "ValidityState\0"
  /* 11540 */ "VideoPlaybackQuality\0"
  /* 11561 */ "VideoStreamTrack\0"
  /* 11578 */ "VideoTrack\0"
  /* 11589 */ "VideoTrackList\0"
  /* 11604 */ "WaveShaperNode\0"
  /* 11619 */ "WebGL2RenderingContext\0"
  /* 11642 */ "WebGLActiveInfo\0"
  /* 11658 */ "WebGLBuffer\0"
  /* 11670 */ "WebGLContextEvent\0"
  /* 11688 */ "WebGLFramebuffer\0"
  /* 11705 */ "WebGLProgram\0"
  /* 11718 */ "WebGLQuery\0"
  /* 11729 */ "WebGLRenderbuffer\0"
  /* 11747 */ "WebGLRenderingContext\0"
  /* 11769 */ "WebGLSampler\0"
  /* 11782 */ "WebGLShader\0"
  /* 11794 */ "WebGLShaderPrecisionFormat\0"
  /* 11821 */ "WebGLSync\0"
  /* 11831 */ "WebGLTexture\0"
  /* 11844 */ "WebGLTransformFeedback\0"
  /* 11867 */ "WebGLUniformLocation\0"
  /* 11888 */ "WebGLVertexArrayObject\0"
  /* 11911 */ "WebKitCSSMatrix\0"
  /* 11927 */ "WebSocket\0"
  /* 11937 */ "WebrtcGlobalInformation\0"
  /* 11961 */ "WheelEvent\0"
  /* 11972 */ "Window\0"
  /* 11979 */ "WindowRoot\0"
  /* 11990 */ "Worker\0"
  /* 11997 */ "XMLDocument\0"
  /* 12009 */ "XMLHttpRequest\0"
  /* 12024 */ "XMLHttpRequestEventTarget\0"
  /* 12050 */ "XMLHttpRequestUpload\0"
  /* 12071 */ "XMLSerializer\0"
  /* 12085 */ "XMLStylesheetProcessingInstruction\0"
  /* 12120 */ "XPathEvaluator\0"
  /* 12135 */ "XPathExpression\0"
  /* 12151 */ "XPathResult\0"
  /* 12163 */ "XSLTProcessor\0"
  /* 12177 */ "XULCommandEvent\0"
  /* 12193 */ "XULDocument\0"
  /* 12205 */ "XULElement\0"
  /* 12216 */ "console\0"
  /* 12224 */ "mozContact\0"
  /* 12235 */ "mozRTCIceCandidate\0"
  /* 12254 */ "mozRTCPeerConnection\0"
  /* 12275 */ "mozRTCSessionDescription\0";

void
RegisterWebIDLGlobalNames()
{
  WebIDLGlobalNameHash::Register(0, 11, AVInputPortBinding::DefineDOMInterface, AVInputPortBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(12, 14, AccessibleNodeBinding::DefineDOMInterface, AccessibleNodeBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(27, 5, AddonBinding::DefineDOMInterface, AddonBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(33, 10, AddonEventBinding::DefineDOMInterface, AddonEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(44, 12, AddonInstallBinding::DefineDOMInterface, AddonInstallBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(57, 12, AddonManagerBinding::DefineDOMInterface, AddonManagerBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(70, 12, AnalyserNodeBinding::DefineDOMInterface, AnalyserNodeBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(83, 9, AnimationBinding::DefineDOMInterface, AnimationBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(93, 23, AnimationEffectReadOnlyBinding::DefineDOMInterface, AnimationEffectReadOnlyBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(117, 21, AnimationEffectTimingBinding::DefineDOMInterface, AnimationEffectTimingBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(139, 29, AnimationEffectTimingReadOnlyBinding::DefineDOMInterface, AnimationEffectTimingReadOnlyBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(169, 14, AnimationEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(184, 22, AnimationPlaybackEventBinding::DefineDOMInterface, AnimationPlaybackEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(207, 17, AnimationTimelineBinding::DefineDOMInterface, AnimationTimelineBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(225, 16, AnonymousContentBinding::DefineDOMInterface, AnonymousContentBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(242, 13, ArchiveReaderBinding::DefineDOMInterface, ArchiveReaderBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(256, 14, ArchiveRequestBinding::DefineDOMInterface, ArchiveRequestBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(271, 4, AttrBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(276, 11, AudioBufferBinding::DefineDOMInterface, AudioBufferBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(288, 21, AudioBufferSourceNodeBinding::DefineDOMInterface, AudioBufferSourceNodeBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(310, 12, AudioContextBinding::DefineDOMInterface, AudioContextBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(323, 20, AudioDestinationNodeBinding::DefineDOMInterface, AudioDestinationNodeBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(344, 13, AudioListenerBinding::DefineDOMInterface, AudioListenerBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(358, 9, AudioNodeBinding::DefineDOMInterface, AudioNodeBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(368, 10, AudioParamBinding::DefineDOMInterface, AudioParamBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(379, 20, AudioProcessingEventBinding::DefineDOMInterface, AudioProcessingEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(400, 16, AudioStreamTrackBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(417, 10, AudioTrackBinding::DefineDOMInterface, AudioTrackBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(428, 14, AudioTrackListBinding::DefineDOMInterface, AudioTrackListBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(443, 22, AutocompleteErrorEventBinding::DefineDOMInterface, AutocompleteErrorEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(466, 7, BarPropBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(474, 14, BatteryManagerBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(489, 24, BeforeAfterKeyboardEventBinding::DefineDOMInterface, BeforeAfterKeyboardEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(514, 17, BeforeUnloadEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(532, 16, BiquadFilterNodeBinding::DefineDOMInterface, BiquadFilterNodeBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(549, 4, BlobBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(554, 9, BlobEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(564, 9, BoxObjectBinding::DefineDOMInterface, BoxObjectBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(574, 16, BroadcastChannelBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(591, 26, BrowserElementAudioChannelBinding::DefineDOMInterface, BrowserElementAudioChannelBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(618, 19, BrowserElementProxyBinding::DefineDOMInterface, BrowserElementProxyBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(638, 17, BrowserFeedWriterBinding::DefineDOMInterface, BrowserFeedWriterBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(656, 12, CDATASectionBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(669, 18, CFStateChangeEventBinding::DefineDOMInterface, CFStateChangeEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(688, 3, CSSBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(692, 14, CSS2PropertiesBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(707, 12, CSSAnimationBinding::DefineDOMInterface, CSSAnimationBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(720, 8, CSSLexerBinding::DefineDOMInterface, CSSLexerBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(729, 17, CSSPrimitiveValueBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(747, 16, CSSPseudoElementBinding::DefineDOMInterface, CSSPseudoElementBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(764, 11, CSSRuleListBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(776, 19, CSSStyleDeclarationBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(796, 13, CSSStyleSheetBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(810, 13, CSSTransitionBinding::DefineDOMInterface, CSSTransitionBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(824, 8, CSSValueBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(833, 12, CSSValueListBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(846, 5, CacheBinding::DefineDOMInterface, CacheBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(852, 12, CacheStorageBinding::DefineDOMInterface, CacheStorageBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(865, 9, CallEventBinding::DefineDOMInterface, CallEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(875, 19, CallGroupErrorEventBinding::DefineDOMInterface, CallGroupErrorEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(895, 18, CameraCapabilitiesBinding::DefineDOMInterface, CameraCapabilitiesBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(914, 17, CameraClosedEventBinding::DefineDOMInterface, CameraClosedEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(932, 24, CameraConfigurationEventBinding::DefineDOMInterface, CameraConfigurationEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(957, 13, CameraControlBinding::DefineDOMInterface, CameraControlBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(971, 18, CameraDetectedFaceBinding::DefineDOMInterface, CameraDetectedFaceBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(990, 24, CameraFacesDetectedEventBinding::DefineDOMInterface, CameraFacesDetectedEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(1015, 13, CameraManagerBinding::DefineDOMInterface, CameraManagerBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(1029, 26, CameraRecorderAudioProfileBinding::DefineDOMInterface, CameraRecorderAudioProfileBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(1056, 21, CameraRecorderProfileBinding::DefineDOMInterface, CameraRecorderProfileBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(1078, 22, CameraRecorderProfilesBinding::DefineDOMInterface, CameraRecorderProfilesBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(1101, 26, CameraRecorderVideoProfileBinding::DefineDOMInterface, CameraRecorderVideoProfileBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(1128, 22, CameraStateChangeEventBinding::DefineDOMInterface, CameraStateChangeEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(1151, 24, CanvasCaptureMediaStreamBinding::DefineDOMInterface, CanvasCaptureMediaStreamBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(1176, 14, CanvasGradientBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(1191, 13, CanvasPatternBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(1205, 24, CanvasRenderingContext2DBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(1230, 13, CaretPositionBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(1244, 22, CaretStateChangedEventBinding::DefineDOMInterface, CaretStateChangedEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(1267, 17, ChannelMergerNodeBinding::DefineDOMInterface, ChannelMergerNodeBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(1285, 19, ChannelSplitterNodeBinding::DefineDOMInterface, ChannelSplitterNodeBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(1305, 13, CharacterDataBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(1319, 25, CheckerboardReportServiceBinding::DefineDOMInterface, CheckerboardReportServiceBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(1345, 14, ChromeNodeListBinding::DefineDOMInterface, ChromeNodeListBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(1360, 19, ChromeNotificationsBinding::DefineDOMInterface, ChromeNotificationsBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(1380, 11, ChromeUtilsBinding::DefineDOMInterface, ChromeUtilsBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(1392, 12, ChromeWindowBinding::DefineDOMInterface, ChromeWindowBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(1405, 12, ChromeWorkerBinding::DefineDOMInterface, ChromeWorkerBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(1418, 14, ClipboardEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(1433, 10, CloseEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(1444, 12, CommandEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(1457, 7, CommentBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(1465, 16, CompositionEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(1482, 13, ConvolverNodeBinding::DefineDOMInterface, ConvolverNodeBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(1496, 18, CreateOfferRequestBinding::DefineDOMInterface, CreateOfferRequestBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(1515, 6, CryptoBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(1522, 9, CryptoKeyBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(1532, 22, CustomElementsRegistryBinding::DefineDOMInterface, CustomElementsRegistryBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(1555, 11, CustomEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(1567, 9, DOMCursorBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(1577, 11, DOMDownloadBinding::DefineDOMInterface, DOMDownloadBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(1589, 8, DOMErrorBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(1598, 12, DOMExceptionBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(1611, 17, DOMImplementationBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(1629, 9, DOMMatrixBinding::DefineDOMInterface, DOMMatrixBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(1639, 17, DOMMatrixReadOnlyBinding::DefineDOMInterface, DOMMatrixReadOnlyBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(1657, 21, DOMMobileMessageErrorBinding::DefineDOMInterface, DOMMobileMessageErrorBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(1679, 9, DOMParserBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(1689, 8, DOMPointBinding::DefineDOMInterface, DOMPointBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(1698, 16, DOMPointReadOnlyBinding::DefineDOMInterface, DOMPointReadOnlyBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(1715, 7, DOMQuadBinding::DefineDOMInterface, DOMQuadBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(1723, 7, DOMRectBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(1731, 11, DOMRectListBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(1743, 15, DOMRectReadOnlyBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(1759, 10, DOMRequestBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(1770, 13, DOMStringListBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(1784, 12, DOMStringMapBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(1797, 12, DOMTokenListBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(1810, 19, DOMTransactionEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(1830, 11, DataChannelBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(1842, 18, DataContainerEventBinding::DefineDOMInterface, DataContainerEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(1861, 14, DataErrorEventBinding::DefineDOMInterface, DataErrorEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(1876, 12, DataTransferBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(1889, 16, DataTransferItemBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(1906, 20, DataTransferItemListBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(1927, 9, DelayNodeBinding::DefineDOMInterface, DelayNodeBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(1937, 19, DesktopNotificationBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(1957, 25, DesktopNotificationCenterBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(1983, 16, DeviceLightEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(2000, 17, DeviceMotionEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(2018, 22, DeviceOrientationEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(2041, 20, DeviceProximityEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(2062, 13, DeviceStorageBinding::DefineDOMInterface, DeviceStorageBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(2076, 29, DeviceStorageAreaChangedEventBinding::DefineDOMInterface, DeviceStorageAreaChangedEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(2106, 25, DeviceStorageAreaListenerBinding::DefineDOMInterface, DeviceStorageAreaListenerBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(2132, 24, DeviceStorageChangeEventBinding::DefineDOMInterface, DeviceStorageChangeEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(2157, 9, DirectoryBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(2167, 20, DisplayPortInputPortBinding::DefineDOMInterface, DisplayPortInputPortBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(2188, 8, DocumentBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(2197, 16, DocumentFragmentBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(2214, 16, DocumentTimelineBinding::DefineDOMInterface, DocumentTimelineBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(2231, 12, DocumentTypeBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(2244, 13, DominatorTreeBinding::DefineDOMInterface, DominatorTreeBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(2258, 13, DownloadEventBinding::DefineDOMInterface, DownloadEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(2272, 9, DragEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(2282, 22, DynamicsCompressorNodeBinding::DefineDOMInterface, DynamicsCompressorNodeBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(2305, 7, ElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(2313, 10, ErrorEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(2324, 5, EventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(2330, 11, EventSourceBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(2342, 11, EventTargetBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(2354, 8, ExternalBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(2363, 4, FileBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(2368, 8, FileListBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(2377, 10, FileReaderBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(2388, 10, FileSystemBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(2399, 24, FileSystemDirectoryEntryBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(2424, 25, FileSystemDirectoryReaderBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(2450, 15, FileSystemEntryBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(2466, 19, FileSystemFileEntryBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(2486, 22, FlyWebDiscoveryManagerBinding::DefineDOMInterface, FlyWebDiscoveryManagerBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(2509, 16, FlyWebFetchEventBinding::DefineDOMInterface, FlyWebFetchEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(2526, 21, FlyWebPublishedServerBinding::DefineDOMInterface, FlyWebPublishedServerBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(2548, 20, FlyWebWebSocketEventBinding::DefineDOMInterface, FlyWebWebSocketEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(2569, 10, FocusEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(2580, 8, FontFaceBinding::DefineDOMInterface, FontFaceBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(2589, 11, FontFaceSetBinding::DefineDOMInterface, FontFaceSetBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(2601, 20, FontFaceSetLoadEventBinding::DefineDOMInterface, FontFaceSetLoadEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(2622, 8, FormDataBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(2631, 8, GainNodeBinding::DefineDOMInterface, GainNodeBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(2640, 7, GamepadBinding::DefineDOMInterface, GamepadBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(2648, 20, GamepadAxisMoveEventBinding::DefineDOMInterface, GamepadAxisMoveEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(2669, 13, GamepadButtonBinding::DefineDOMInterface, GamepadButtonBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(2683, 18, GamepadButtonEventBinding::DefineDOMInterface, GamepadButtonEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(2702, 12, GamepadEventBinding::DefineDOMInterface, GamepadEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(2715, 18, GamepadServiceTestBinding::DefineDOMInterface, GamepadServiceTestBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(2734, 4, GridBinding::DefineDOMInterface, GridBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(2739, 8, GridAreaBinding::DefineDOMInterface, GridAreaBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(2748, 13, GridDimensionBinding::DefineDOMInterface, GridDimensionBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(2762, 8, GridLineBinding::DefineDOMInterface, GridLineBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(2771, 9, GridLinesBinding::DefineDOMInterface, GridLinesBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(2781, 9, GridTrackBinding::DefineDOMInterface, GridTrackBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(2791, 10, GridTracksBinding::DefineDOMInterface, GridTracksBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(2802, 13, HDMIInputPortBinding::DefineDOMInterface, HDMIInputPortBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(2816, 17, HTMLAllCollectionBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(2834, 17, HTMLAnchorElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(2852, 17, HTMLAppletElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(2870, 15, HTMLAreaElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(2886, 16, HTMLAudioElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(2903, 5, HTMLAudioElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(2909, 13, HTMLBRElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(2923, 15, HTMLBaseElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(2939, 15, HTMLBodyElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(2955, 17, HTMLButtonElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(2973, 17, HTMLCanvasElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(2991, 14, HTMLCollectionBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3006, 18, HTMLContentElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3025, 16, HTMLDListElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3042, 15, HTMLDataElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3058, 19, HTMLDataListElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3078, 18, HTMLDetailsElementBinding::DefineDOMInterface, HTMLDetailsElementBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(3097, 20, HTMLDirectoryElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3118, 14, HTMLDivElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3133, 12, HTMLDocumentBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3146, 11, HTMLElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3158, 16, HTMLEmbedElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3175, 19, HTMLFieldSetElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3195, 15, HTMLFontElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3211, 26, HTMLFormControlsCollectionBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3238, 15, HTMLFormElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3254, 16, HTMLFrameElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3271, 19, HTMLFrameSetElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3291, 13, HTMLHRElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3305, 15, HTMLHeadElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3321, 18, HTMLHeadingElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3340, 15, HTMLHtmlElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3356, 17, HTMLIFrameElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3374, 16, HTMLImageElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3391, 5, HTMLImageElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3397, 16, HTMLInputElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3414, 13, HTMLLIElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3428, 16, HTMLLabelElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3445, 17, HTMLLegendElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3463, 15, HTMLLinkElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3479, 14, HTMLMapElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3494, 16, HTMLMediaElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3511, 15, HTMLMenuElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3527, 19, HTMLMenuItemElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3547, 15, HTMLMetaElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3563, 16, HTMLMeterElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3580, 14, HTMLModElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3595, 16, HTMLOListElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3612, 17, HTMLObjectElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3630, 19, HTMLOptGroupElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3650, 17, HTMLOptionElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3668, 6, HTMLOptionElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3675, 21, HTMLOptionsCollectionBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3697, 17, HTMLOutputElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3715, 20, HTMLParagraphElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3736, 16, HTMLParamElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3753, 18, HTMLPictureElementBinding::DefineDOMInterface, HTMLPictureElementBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(3772, 14, HTMLPreElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3787, 19, HTMLProgressElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3807, 16, HTMLQuoteElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3824, 17, HTMLScriptElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3842, 17, HTMLSelectElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3860, 17, HTMLShadowElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3878, 17, HTMLSourceElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3896, 15, HTMLSpanElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3912, 16, HTMLStyleElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3929, 23, HTMLTableCaptionElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3953, 20, HTMLTableCellElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3974, 19, HTMLTableColElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3994, 16, HTMLTableElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4011, 19, HTMLTableRowElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4031, 23, HTMLTableSectionElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4055, 19, HTMLTemplateElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4075, 19, HTMLTextAreaElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4095, 15, HTMLTimeElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4111, 16, HTMLTitleElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4128, 16, HTMLTrackElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4145, 16, HTMLUListElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4162, 18, HTMLUnknownElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4181, 16, HTMLVideoElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4198, 15, HashChangeEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4214, 7, HeadersBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4222, 12, HeapSnapshotBinding::DefineDOMInterface, HeapSnapshotBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(4235, 17, HiddenPluginEventBinding::DefineDOMInterface, HiddenPluginEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(4253, 7, HistoryBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4261, 9, IDBCursorBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4271, 18, IDBCursorWithValueBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4290, 11, IDBDatabaseBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4302, 10, IDBFactoryBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4313, 13, IDBFileHandleBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4327, 14, IDBFileRequestBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4342, 8, IDBIndexBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4351, 11, IDBKeyRangeBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4363, 22, IDBLocaleAwareKeyRangeBinding::DefineDOMInterface, IDBLocaleAwareKeyRangeBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(4386, 14, IDBMutableFileBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4401, 14, IDBObjectStoreBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4416, 16, IDBOpenDBRequestBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4433, 10, IDBRequestBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4444, 14, IDBTransactionBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4459, 21, IDBVersionChangeEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4481, 13, IIRFilterNodeBinding::DefineDOMInterface, IIRFilterNodeBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(4495, 16, IccCardLockErrorBinding::DefineDOMInterface, IccCardLockErrorBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(4512, 14, IccChangeEventBinding::DefineDOMInterface, IccChangeEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(4527, 11, ImageBitmapBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4539, 27, ImageBitmapRenderingContextBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4567, 12, ImageCaptureBinding::DefineDOMInterface, ImageCaptureBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(4580, 22, ImageCaptureErrorEventBinding::DefineDOMInterface, ImageCaptureErrorEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(4603, 9, ImageDataBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4613, 13, ImageDocumentBinding::DefineDOMInterface, ImageDocumentBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(4627, 10, InputEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4638, 9, InputPortBinding::DefineDOMInterface, InputPortBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(4648, 16, InputPortManagerBinding::DefineDOMInterface, InputPortManagerBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(4665, 18, InstallTriggerImplBinding::DefineDOMInterface, InstallTriggerImplBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(4684, 8, KeyEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4693, 13, KeyboardEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4707, 14, KeyframeEffectBinding::DefineDOMInterface, KeyframeEffectBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(4722, 22, KeyframeEffectReadOnlyBinding::DefineDOMInterface, KeyframeEffectReadOnlyBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(4745, 16, LocalMediaStreamBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4762, 8, LocationBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4771, 7, MMICallBinding::DefineDOMInterface, MMICallBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(4779, 15, MediaDeviceInfoBinding::DefineDOMInterface, MediaDeviceInfoBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(4795, 12, MediaDevicesBinding::DefineDOMInterface, MediaDevicesBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(4808, 27, MediaElementAudioSourceNodeBinding::DefineDOMInterface, MediaElementAudioSourceNodeBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(4836, 19, MediaEncryptedEventBinding::DefineDOMInterface, MediaEncryptedEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(4856, 10, MediaErrorBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4867, 13, MediaKeyErrorBinding::DefineDOMInterface, MediaKeyErrorBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(4881, 20, MediaKeyMessageEventBinding::DefineDOMInterface, MediaKeyMessageEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(4902, 15, MediaKeySessionBinding::DefineDOMInterface, MediaKeySessionBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(4918, 17, MediaKeyStatusMapBinding::DefineDOMInterface, MediaKeyStatusMapBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(4936, 20, MediaKeySystemAccessBinding::DefineDOMInterface, MediaKeySystemAccessBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(4957, 9, MediaKeysBinding::DefineDOMInterface, MediaKeysBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(4967, 9, MediaListBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4977, 14, MediaQueryListBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4992, 13, MediaRecorderBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(5006, 11, MediaSourceBinding::DefineDOMInterface, MediaSourceBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5018, 11, MediaStreamBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(5030, 31, MediaStreamAudioDestinationNodeBinding::DefineDOMInterface, MediaStreamAudioDestinationNodeBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5062, 26, MediaStreamAudioSourceNodeBinding::DefineDOMInterface, MediaStreamAudioSourceNodeBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5089, 16, MediaStreamEventBinding::DefineDOMInterface, MediaStreamEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5106, 15, MediaStreamListBinding::DefineDOMInterface, MediaStreamListBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5122, 16, MediaStreamTrackBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(5139, 21, MediaStreamTrackEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(5161, 13, MenuBoxObjectBinding::DefineDOMInterface, MenuBoxObjectBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5175, 14, MessageChannelBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(5190, 12, MessageEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(5203, 11, MessagePortBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(5215, 8, MimeTypeBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(5224, 13, MimeTypeArrayBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(5238, 10, MmsMessageBinding::DefineDOMInterface, MmsMessageBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5249, 19, MobileMessageThreadBinding::DefineDOMInterface, MobileMessageThreadBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5269, 10, MouseEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(5280, 16, MouseScrollEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(5297, 19, MozCanvasPrintStateBinding::DefineDOMInterface, MozCanvasPrintStateBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5317, 14, MozCdmaIccInfoBinding::DefineDOMInterface, MozCdmaIccInfoBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5332, 16, MozCellBroadcastBinding::DefineDOMInterface, MozCellBroadcastBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5349, 24, MozCellBroadcastEtwsInfoBinding::DefineDOMInterface, MozCellBroadcastEtwsInfoBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5374, 21, MozCellBroadcastEventBinding::DefineDOMInterface, MozCellBroadcastEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5396, 23, MozCellBroadcastMessageBinding::DefineDOMInterface, MozCellBroadcastMessageBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5420, 16, MozClirModeEventBinding::DefineDOMInterface, MozClirModeEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5437, 21, MozContactChangeEventBinding::DefineDOMInterface, MozContactChangeEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5459, 23, MozEmergencyCbModeEventBinding::DefineDOMInterface, MozEmergencyCbModeEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5483, 13, MozGsmIccInfoBinding::DefineDOMInterface, MozGsmIccInfoBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5497, 16, MozHardwareInputBinding::DefineDOMInterface, MozHardwareInputBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5514, 6, MozIccBinding::DefineDOMInterface, MozIccBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5521, 10, MozIccInfoBinding::DefineDOMInterface, MozIccInfoBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5532, 13, MozIccManagerBinding::DefineDOMInterface, MozIccManagerBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5546, 15, MozInputContextBinding::DefineDOMInterface, MozInputContextBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5562, 31, MozInputContextFocusEventDetailBinding::DefineDOMInterface, MozInputContextFocusEventDetailBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5594, 41, MozInputContextSelectionChangeEventDetailBinding::DefineDOMInterface, MozInputContextSelectionChangeEventDetailBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5636, 47, MozInputContextSurroundingTextChangeEventDetailBinding::DefineDOMInterface, MozInputContextSurroundingTextChangeEventDetailBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5684, 14, MozInputMethodBinding::DefineDOMInterface, MozInputMethodBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5699, 21, MozInputMethodManagerBinding::DefineDOMInterface, MozInputMethodManagerBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5721, 27, MozInputRegistryEventDetailBinding::DefineDOMInterface, MozInputRegistryEventDetailBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5749, 22, MozMessageDeletedEventBinding::DefineDOMInterface, MozMessageDeletedEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5772, 11, MozMmsEventBinding::DefineDOMInterface, MozMmsEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5784, 17, MozMobileCellInfoBinding::DefineDOMInterface, MozMobileCellInfoBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5802, 19, MozMobileConnectionBinding::DefineDOMInterface, MozMobileConnectionBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5822, 24, MozMobileConnectionArrayBinding::DefineDOMInterface, MozMobileConnectionArrayBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5847, 23, MozMobileConnectionInfoBinding::DefineDOMInterface, MozMobileConnectionInfoBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5871, 23, MozMobileMessageManagerBinding::DefineDOMInterface, MozMobileMessageManagerBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5895, 20, MozMobileNetworkInfoBinding::DefineDOMInterface, MozMobileNetworkInfoBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5916, 17, MozOtaStatusEventBinding::DefineDOMInterface, MozOtaStatusEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5934, 15, MozPowerManagerBinding::DefineDOMInterface, MozPowerManagerBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5950, 14, MozSelfSupportBinding::DefineDOMInterface, MozSelfSupportBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5965, 16, MozSettingsEventBinding::DefineDOMInterface, MozSettingsEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5982, 27, MozSettingsTransactionEventBinding::DefineDOMInterface, MozSettingsTransactionEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(6010, 11, MozSmsEventBinding::DefineDOMInterface, MozSmsEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(6022, 18, MozStkCommandEventBinding::DefineDOMInterface, MozStkCommandEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(6041, 19, MozTetheringManagerBinding::DefineDOMInterface, MozTetheringManagerBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(6061, 14, MozTimeManagerBinding::DefineDOMInterface, MozTimeManagerBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(6076, 12, MozVoicemailBinding::DefineDOMInterface, MozVoicemailBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(6089, 17, MozVoicemailEventBinding::DefineDOMInterface, MozVoicemailEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(6107, 18, MozVoicemailStatusBinding::DefineDOMInterface, MozVoicemailStatusBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(6126, 11, MozWakeLockBinding::DefineDOMInterface, MozWakeLockBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(6138, 13, MutationEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(6152, 16, MutationObserverBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(6169, 14, MutationRecordBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(6184, 12, NamedNodeMapBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(6197, 9, NavigatorBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(6207, 18, NetworkInformationBinding::DefineDOMInterface, NetworkInformationBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(6226, 16, NetworkStatsDataBinding::DefineDOMInterface, NetworkStatsDataBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(6243, 4, NodeBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(6248, 10, NodeFilterBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(6259, 12, NodeIteratorBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(6272, 8, NodeListBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(6281, 12, NotificationBinding::DefineDOMInterface, NotificationBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(6294, 16, NotifyPaintEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(6311, 27, OfflineAudioCompletionEventBinding::DefineDOMInterface, OfflineAudioCompletionEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(6339, 19, OfflineAudioContextBinding::DefineDOMInterface, OfflineAudioContextBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(6359, 19, OfflineResourceListBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(6379, 15, OffscreenCanvasBinding::DefineDOMInterface, OffscreenCanvasBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(6395, 14, OscillatorNodeBinding::DefineDOMInterface, OscillatorNodeBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(6410, 19, PageTransitionEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(6430, 12, PaintRequestBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(6443, 16, PaintRequestListBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(6460, 10, PannerNodeBinding::DefineDOMInterface, PannerNodeBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(6471, 6, Path2DBinding::DefineDOMInterface, Path2DBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(6478, 18, PeerConnectionImplBinding::DefineDOMInterface, PeerConnectionImplBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(6497, 22, PeerConnectionObserverBinding::DefineDOMInterface, PeerConnectionObserverBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(6520, 11, PerformanceBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(6532, 16, PerformanceEntryBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(6549, 21, PerformanceEntryEventBinding::DefineDOMInterface, PerformanceEntryEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(6571, 15, PerformanceMarkBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(6587, 18, PerformanceMeasureBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(6606, 21, PerformanceNavigationBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(6628, 19, PerformanceObserverBinding::DefineDOMInterface, PerformanceObserverBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(6648, 28, PerformanceObserverEntryListBinding::DefineDOMInterface, PerformanceObserverEntryListBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(6677, 25, PerformanceResourceTimingBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(6703, 17, PerformanceTimingBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(6721, 12, PeriodicWaveBinding::DefineDOMInterface, PeriodicWaveBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(6734, 18, PermissionSettingsBinding::DefineDOMInterface, PermissionSettingsBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(6753, 16, PermissionStatusBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(6770, 11, PermissionsBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(6782, 18, PhoneNumberServiceBinding::DefineDOMInterface, PhoneNumberServiceBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(6801, 6, PluginBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(6808, 11, PluginArrayBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(6820, 18, PluginCrashedEventBinding::DefineDOMInterface, PluginCrashedEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(6839, 12, PointerEventBinding::DefineDOMInterface, PointerEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(6852, 13, PopStateEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(6866, 17, PopupBlockedEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(6884, 14, PopupBoxObjectBinding::DefineDOMInterface, PopupBoxObjectBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(6899, 14, PowerStatsDataBinding::DefineDOMInterface, PowerStatsDataBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(6914, 12, PresentationBinding::DefineDOMInterface, PresentationBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(6927, 24, PresentationAvailabilityBinding::DefineDOMInterface, PresentationAvailabilityBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(6952, 22, PresentationConnectionBinding::DefineDOMInterface, PresentationConnectionBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(6975, 36, PresentationConnectionAvailableEventBinding::DefineDOMInterface, PresentationConnectionAvailableEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(7012, 33, PresentationConnectionClosedEventBinding::DefineDOMInterface, PresentationConnectionClosedEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(7046, 26, PresentationConnectionListBinding::DefineDOMInterface, PresentationConnectionListBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(7073, 29, PresentationDeviceInfoManagerBinding::DefineDOMInterface, PresentationDeviceInfoManagerBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(7103, 20, PresentationReceiverBinding::DefineDOMInterface, PresentationReceiverBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(7124, 19, PresentationRequestBinding::DefineDOMInterface, PresentationRequestBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(7144, 21, ProcessingInstructionBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(7166, 13, ProgressEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(7180, 16, PromiseDebuggingBinding::DefineDOMInterface, PromiseDebuggingBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(7197, 11, PushManagerBinding::DefineDOMInterface, PushManagerBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(7209, 15, PushManagerImplBinding::DefineDOMInterface, PushManagerImplBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(7225, 16, PushSubscriptionBinding::DefineDOMInterface, PushSubscriptionBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(7242, 23, PushSubscriptionOptionsBinding::DefineDOMInterface, PushSubscriptionOptionsBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(7266, 8, RGBColorBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(7275, 14, RTCCertificateBinding::DefineDOMInterface, RTCCertificateBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(7290, 19, RTCDataChannelEventBinding::DefineDOMInterface, RTCDataChannelEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(7310, 15, RTCIceCandidateBinding::DefineDOMInterface, RTCIceCandidateBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(7326, 17, RTCPeerConnectionBinding::DefineDOMInterface, RTCPeerConnectionBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(7344, 25, RTCPeerConnectionIceEventBinding::DefineDOMInterface, RTCPeerConnectionIceEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(7370, 23, RTCPeerConnectionStaticBinding::DefineDOMInterface, RTCPeerConnectionStaticBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(7394, 14, RTCRtpReceiverBinding::DefineDOMInterface, RTCRtpReceiverBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(7409, 12, RTCRtpSenderBinding::DefineDOMInterface, RTCRtpSenderBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(7422, 21, RTCSessionDescriptionBinding::DefineDOMInterface, RTCSessionDescriptionBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(7444, 14, RTCStatsReportBinding::DefineDOMInterface, RTCStatsReportBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(7459, 13, RTCTrackEventBinding::DefineDOMInterface, RTCTrackEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(7473, 13, RadioNodeListBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(7487, 5, RangeBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(7493, 16, RecordErrorEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(7510, 4, RectBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(7515, 7, RequestBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(7523, 13, ResourceStatsBinding::DefineDOMInterface, ResourceStatsBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(7537, 18, ResourceStatsAlarmBinding::DefineDOMInterface, ResourceStatsAlarmBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(7556, 20, ResourceStatsManagerBinding::DefineDOMInterface, ResourceStatsManagerBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(7577, 8, ResponseBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(7586, 9, SEChannelBinding::DefineDOMInterface, SEChannelBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(7596, 8, SEReaderBinding::DefineDOMInterface, SEReaderBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(7605, 10, SEResponseBinding::DefineDOMInterface, SEResponseBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(7616, 9, SESessionBinding::DefineDOMInterface, SESessionBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(7626, 11, SVGAElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(7638, 8, SVGAngleBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(7647, 17, SVGAnimateElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(7665, 23, SVGAnimateMotionElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(7689, 26, SVGAnimateTransformElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(7716, 16, SVGAnimatedAngleBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(7733, 18, SVGAnimatedBooleanBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(7752, 22, SVGAnimatedEnumerationBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(7775, 18, SVGAnimatedIntegerBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(7794, 17, SVGAnimatedLengthBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(7812, 21, SVGAnimatedLengthListBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(7834, 17, SVGAnimatedNumberBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(7852, 21, SVGAnimatedNumberListBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(7874, 30, SVGAnimatedPreserveAspectRatioBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(7905, 15, SVGAnimatedRectBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(7921, 17, SVGAnimatedStringBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(7939, 24, SVGAnimatedTransformListBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(7964, 19, SVGAnimationElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(7984, 16, SVGCircleElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8001, 18, SVGClipPathElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8020, 35, SVGComponentTransferFunctionElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8056, 14, SVGDefsElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8071, 14, SVGDescElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8086, 11, SVGDocumentBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8098, 10, SVGElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8109, 17, SVGEllipseElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8127, 17, SVGFEBlendElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8145, 23, SVGFEColorMatrixElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8169, 29, SVGFEComponentTransferElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8199, 21, SVGFECompositeElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8221, 26, SVGFEConvolveMatrixElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8248, 27, SVGFEDiffuseLightingElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8276, 27, SVGFEDisplacementMapElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8304, 24, SVGFEDistantLightElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8329, 22, SVGFEDropShadowElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8352, 17, SVGFEFloodElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8370, 17, SVGFEFuncAElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8388, 17, SVGFEFuncBElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8406, 17, SVGFEFuncGElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8424, 17, SVGFEFuncRElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8442, 24, SVGFEGaussianBlurElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8467, 17, SVGFEImageElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8485, 17, SVGFEMergeElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8503, 21, SVGFEMergeNodeElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8525, 22, SVGFEMorphologyElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8548, 18, SVGFEOffsetElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8567, 22, SVGFEPointLightElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8590, 28, SVGFESpecularLightingElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8619, 21, SVGFESpotLightElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8641, 16, SVGFETileElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8658, 22, SVGFETurbulenceElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8681, 16, SVGFilterElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8698, 23, SVGForeignObjectElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8722, 11, SVGGElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8734, 18, SVGGradientElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8753, 18, SVGGraphicsElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8772, 15, SVGImageElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8788, 9, SVGLengthBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8798, 13, SVGLengthListBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8812, 14, SVGLineElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8827, 24, SVGLinearGradientElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8852, 15, SVGMPathElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8868, 16, SVGMarkerElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8885, 14, SVGMaskElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8900, 9, SVGMatrixBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8910, 18, SVGMetadataElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8929, 9, SVGNumberBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8939, 13, SVGNumberListBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8953, 14, SVGPathElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8968, 10, SVGPathSegBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8979, 16, SVGPathSegArcAbsBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8996, 16, SVGPathSegArcRelBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9013, 19, SVGPathSegClosePathBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9033, 25, SVGPathSegCurvetoCubicAbsBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9059, 25, SVGPathSegCurvetoCubicRelBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9085, 31, SVGPathSegCurvetoCubicSmoothAbsBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9117, 31, SVGPathSegCurvetoCubicSmoothRelBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9149, 29, SVGPathSegCurvetoQuadraticAbsBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9179, 29, SVGPathSegCurvetoQuadraticRelBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9209, 35, SVGPathSegCurvetoQuadraticSmoothAbsBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9245, 35, SVGPathSegCurvetoQuadraticSmoothRelBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9281, 19, SVGPathSegLinetoAbsBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9301, 29, SVGPathSegLinetoHorizontalAbsBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9331, 29, SVGPathSegLinetoHorizontalRelBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9361, 19, SVGPathSegLinetoRelBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9381, 27, SVGPathSegLinetoVerticalAbsBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9409, 27, SVGPathSegLinetoVerticalRelBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9437, 14, SVGPathSegListBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9452, 19, SVGPathSegMovetoAbsBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9472, 19, SVGPathSegMovetoRelBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9492, 17, SVGPatternElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9510, 8, SVGPointBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9519, 12, SVGPointListBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9532, 17, SVGPolygonElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9550, 18, SVGPolylineElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9569, 22, SVGPreserveAspectRatioBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9592, 24, SVGRadialGradientElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9617, 7, SVGRectBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9625, 14, SVGRectElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9640, 13, SVGSVGElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9654, 16, SVGScriptElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9671, 13, SVGSetElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9685, 14, SVGStopElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9700, 13, SVGStringListBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9714, 15, SVGStyleElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9730, 16, SVGSwitchElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9747, 16, SVGSymbolElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9764, 15, SVGTSpanElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9780, 21, SVGTextContentElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9802, 14, SVGTextElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9817, 18, SVGTextPathElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9836, 25, SVGTextPositioningElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9862, 15, SVGTitleElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9878, 12, SVGTransformBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9891, 16, SVGTransformListBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9908, 12, SVGUnitTypesBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9921, 13, SVGUseElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9935, 14, SVGViewElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9950, 13, SVGZoomAndPanBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9964, 12, SVGZoomEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9977, 6, ScreenBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9984, 17, ScreenOrientationBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(10002, 19, ScriptProcessorNodeBinding::DefineDOMInterface, ScriptProcessorNodeBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10022, 15, ScrollAreaEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(10038, 21, ScrollViewChangeEventBinding::DefineDOMInterface, ScrollViewChangeEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10060, 9, SelectionBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(10070, 13, ServiceWorkerBinding::DefineDOMInterface, ServiceWorkerBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10084, 22, ServiceWorkerContainerBinding::DefineDOMInterface, ServiceWorkerContainerBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10107, 25, ServiceWorkerMessageEventBinding::DefineDOMInterface, ServiceWorkerMessageEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10133, 25, ServiceWorkerRegistrationBinding::DefineDOMInterface, ServiceWorkerRegistrationBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10159, 12, SettingsLockBinding::DefineDOMInterface, SettingsLockBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10172, 15, SettingsManagerBinding::DefineDOMInterface, SettingsManagerBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10188, 10, ShadowRootBinding::DefineDOMInterface, ShadowRootBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10199, 12, SharedWorkerBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(10212, 18, SimpleGestureEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(10231, 10, SmsMessageBinding::DefineDOMInterface, SmsMessageBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10242, 12, SourceBufferBinding::DefineDOMInterface, SourceBufferBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10255, 16, SourceBufferListBinding::DefineDOMInterface, SourceBufferListBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10272, 13, SpeechGrammarBinding::DefineDOMInterface, SpeechGrammarBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10286, 17, SpeechGrammarListBinding::DefineDOMInterface, SpeechGrammarListBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10304, 17, SpeechRecognitionBinding::DefineDOMInterface, SpeechRecognitionBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10322, 28, SpeechRecognitionAlternativeBinding::DefineDOMInterface, SpeechRecognitionAlternativeBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10351, 22, SpeechRecognitionErrorBinding::DefineDOMInterface, SpeechRecognitionErrorBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10374, 22, SpeechRecognitionEventBinding::DefineDOMInterface, SpeechRecognitionEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10397, 23, SpeechRecognitionResultBinding::DefineDOMInterface, SpeechRecognitionResultBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10421, 27, SpeechRecognitionResultListBinding::DefineDOMInterface, SpeechRecognitionResultListBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10449, 15, SpeechSynthesisBinding::DefineDOMInterface, SpeechSynthesisBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10465, 25, SpeechSynthesisErrorEventBinding::DefineDOMInterface, SpeechSynthesisErrorEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10491, 20, SpeechSynthesisEventBinding::DefineDOMInterface, SpeechSynthesisEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10512, 24, SpeechSynthesisUtteranceBinding::DefineDOMInterface, SpeechSynthesisUtteranceBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10537, 20, SpeechSynthesisVoiceBinding::DefineDOMInterface, SpeechSynthesisVoiceBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10558, 16, StereoPannerNodeBinding::DefineDOMInterface, StereoPannerNodeBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10575, 7, StorageBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(10583, 12, StorageEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(10596, 14, StorageManagerBinding::DefineDOMInterface, StorageManagerBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10611, 20, StyleRuleChangeEventBinding::DefineDOMInterface, StyleRuleChangeEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10632, 10, StyleSheetBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(10643, 36, StyleSheetApplicableStateChangeEventBinding::DefineDOMInterface, StyleSheetApplicableStateChangeEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10680, 21, StyleSheetChangeEventBinding::DefineDOMInterface, StyleSheetChangeEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10702, 14, StyleSheetListBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(10717, 12, SubtleCryptoBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(10730, 19, SystemUpdateManagerBinding::DefineDOMInterface, SystemUpdateManagerBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10750, 20, SystemUpdateProviderBinding::DefineDOMInterface, SystemUpdateProviderBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10771, 15, TCPServerSocketBinding::DefineDOMInterface, TCPServerSocketBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10787, 20, TCPServerSocketEventBinding::DefineDOMInterface, TCPServerSocketEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10808, 9, TCPSocketBinding::DefineDOMInterface, TCPSocketBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10818, 19, TCPSocketErrorEventBinding::DefineDOMInterface, TCPSocketErrorEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10838, 14, TCPSocketEventBinding::DefineDOMInterface, TCPSocketEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10853, 9, TVChannelBinding::DefineDOMInterface, TVChannelBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10863, 28, TVCurrentChannelChangedEventBinding::DefineDOMInterface, TVCurrentChannelChangedEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10892, 27, TVCurrentSourceChangedEventBinding::DefineDOMInterface, TVCurrentSourceChangedEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10920, 21, TVEITBroadcastedEventBinding::DefineDOMInterface, TVEITBroadcastedEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10942, 9, TVManagerBinding::DefineDOMInterface, TVManagerBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10952, 9, TVProgramBinding::DefineDOMInterface, TVProgramBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10962, 27, TVScanningStateChangedEventBinding::DefineDOMInterface, TVScanningStateChangedEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10990, 8, TVSourceBinding::DefineDOMInterface, TVSourceBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10999, 7, TVTunerBinding::DefineDOMInterface, TVTunerBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11007, 9, TelephonyBinding::DefineDOMInterface, TelephonyBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11017, 13, TelephonyCallBinding::DefineDOMInterface, TelephonyCallBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11031, 18, TelephonyCallGroupBinding::DefineDOMInterface, TelephonyCallGroupBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11050, 15, TelephonyCallIdBinding::DefineDOMInterface, TelephonyCallIdBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11066, 4, TextBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(11071, 10, TextClauseBinding::DefineDOMInterface, TextClauseBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11082, 11, TextDecoderBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(11094, 11, TextEncoderBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(11106, 11, TextMetricsBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(11118, 9, TextTrackBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(11128, 12, TextTrackCueBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(11141, 16, TextTrackCueListBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(11158, 13, TextTrackListBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(11172, 21, ThreadSafeChromeUtilsBinding::DefineDOMInterface, ThreadSafeChromeUtilsBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11194, 9, TimeEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(11204, 10, TimeRangesBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(11215, 5, TouchBinding::DefineDOMInterface, TouchBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11221, 10, TouchEventBinding::DefineDOMInterface, TouchEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11232, 9, TouchListBinding::DefineDOMInterface, TouchListBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11242, 10, TrackEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(11253, 15, TransitionEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(11269, 10, TreeColumnBinding::DefineDOMInterface, TreeColumnBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11280, 11, TreeColumnsBinding::DefineDOMInterface, TreeColumnsBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11292, 10, TreeWalkerBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(11303, 3, U2FBinding::DefineDOMInterface, U2FBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11307, 15, UDPMessageEventBinding::DefineDOMInterface, UDPMessageEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11323, 9, UDPSocketBinding::DefineDOMInterface, UDPSocketBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11333, 7, UIEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(11341, 3, URLBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(11345, 15, URLSearchParamsBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(11361, 17, USSDReceivedEventBinding::DefineDOMInterface, USSDReceivedEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11379, 11, USSDSessionBinding::DefineDOMInterface, USSDSessionBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11391, 11, UndoManagerBinding::DefineDOMInterface, UndoManagerBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11403, 18, UserProximityEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(11422, 9, VRDisplayBinding::DefineDOMInterface, VRDisplayBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11432, 21, VRDisplayCapabilitiesBinding::DefineDOMInterface, VRDisplayCapabilitiesBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11454, 15, VREyeParametersBinding::DefineDOMInterface, VREyeParametersBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11470, 13, VRFieldOfViewBinding::DefineDOMInterface, VRFieldOfViewBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11484, 6, VRPoseBinding::DefineDOMInterface, VRPoseBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11491, 17, VRStageParametersBinding::DefineDOMInterface, VRStageParametersBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11509, 6, VTTCueBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(11516, 9, VTTRegionBinding::DefineDOMInterface, VTTRegionBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11526, 13, ValidityStateBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(11540, 20, VideoPlaybackQualityBinding::DefineDOMInterface, VideoPlaybackQualityBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11561, 16, VideoStreamTrackBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(11578, 10, VideoTrackBinding::DefineDOMInterface, VideoTrackBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11589, 14, VideoTrackListBinding::DefineDOMInterface, VideoTrackListBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11604, 14, WaveShaperNodeBinding::DefineDOMInterface, WaveShaperNodeBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11619, 22, WebGL2RenderingContextBinding::DefineDOMInterface, WebGL2RenderingContextBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11642, 15, WebGLActiveInfoBinding::DefineDOMInterface, WebGLActiveInfoBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11658, 11, WebGLBufferBinding::DefineDOMInterface, WebGLBufferBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11670, 17, WebGLContextEventBinding::DefineDOMInterface, WebGLContextEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11688, 16, WebGLFramebufferBinding::DefineDOMInterface, WebGLFramebufferBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11705, 12, WebGLProgramBinding::DefineDOMInterface, WebGLProgramBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11718, 10, WebGLQueryBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(11729, 17, WebGLRenderbufferBinding::DefineDOMInterface, WebGLRenderbufferBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11747, 21, WebGLRenderingContextBinding::DefineDOMInterface, WebGLRenderingContextBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11769, 12, WebGLSamplerBinding::DefineDOMInterface, WebGLSamplerBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11782, 11, WebGLShaderBinding::DefineDOMInterface, WebGLShaderBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11794, 26, WebGLShaderPrecisionFormatBinding::DefineDOMInterface, WebGLShaderPrecisionFormatBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11821, 9, WebGLSyncBinding::DefineDOMInterface, WebGLSyncBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11831, 12, WebGLTextureBinding::DefineDOMInterface, WebGLTextureBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11844, 22, WebGLTransformFeedbackBinding::DefineDOMInterface, WebGLTransformFeedbackBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11867, 20, WebGLUniformLocationBinding::DefineDOMInterface, WebGLUniformLocationBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11888, 22, WebGLVertexArrayObjectBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(11911, 15, WebKitCSSMatrixBinding::DefineDOMInterface, WebKitCSSMatrixBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11927, 9, WebSocketBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(11937, 23, WebrtcGlobalInformationBinding::DefineDOMInterface, WebrtcGlobalInformationBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11961, 10, WheelEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(11972, 6, WindowBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(11979, 10, WindowRootBinding::DefineDOMInterface, WindowRootBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11990, 6, WorkerBinding::DefineDOMInterface, WorkerBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11997, 11, XMLDocumentBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(12009, 14, XMLHttpRequestBinding::DefineDOMInterface, XMLHttpRequestBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(12024, 25, XMLHttpRequestEventTargetBinding::DefineDOMInterface, XMLHttpRequestEventTargetBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(12050, 20, XMLHttpRequestUploadBinding::DefineDOMInterface, XMLHttpRequestUploadBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(12071, 13, XMLSerializerBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(12085, 34, XMLStylesheetProcessingInstructionBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(12120, 14, XPathEvaluatorBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(12135, 15, XPathExpressionBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(12151, 11, XPathResultBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(12163, 13, XSLTProcessorBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(12177, 15, XULCommandEventBinding::DefineDOMInterface, XULCommandEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(12193, 11, XULDocumentBinding::DefineDOMInterface, XULDocumentBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(12205, 10, XULElementBinding::DefineDOMInterface, XULElementBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(12216, 7, consoleBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(12224, 10, mozContactBinding::DefineDOMInterface, mozContactBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(12235, 18, mozRTCIceCandidateBinding::DefineDOMInterface, mozRTCIceCandidateBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(12254, 20, mozRTCPeerConnectionBinding::DefineDOMInterface, mozRTCPeerConnectionBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(12275, 24, mozRTCSessionDescriptionBinding::DefineDOMInterface, mozRTCSessionDescriptionBinding::ConstructorEnabled);
}

} // namespace dom
} // namespace mozilla

