//
// Automatically generated by ipdlc.
// Edit at your own risk
//

#ifndef PGPUParent_h
#define PGPUParent_h

#include "mozilla/gfx/PGPU.h"
#ifdef DEBUG
#include "prenv.h"
#endif // DEBUG
#include "base/id_map.h"
#include "mozilla/ipc/MessageChannel.h"

class nsIFile;

// Headers for things that cannot be forward declared
#include "Units.h"
#include "base/process.h"
#include "mozilla/TimeStamp.h"
#include "mozilla/gfx/2D.h"

namespace mozilla {
namespace layers {
class PCompositorBridgeParent;
} // namespace layers
} // namespace mozilla
namespace mozilla {
namespace layers {
class PCompositorBridgeChild;
} // namespace layers
} // namespace mozilla

namespace mozilla {
namespace layers {
class PImageBridgeParent;
} // namespace layers
} // namespace mozilla
namespace mozilla {
namespace layers {
class PImageBridgeChild;
} // namespace layers
} // namespace mozilla

namespace mozilla {
namespace gfx {
class PVRManagerParent;
} // namespace gfx
} // namespace mozilla
namespace mozilla {
namespace gfx {
class PVRManagerChild;
} // namespace gfx
} // namespace mozilla

namespace mozilla {
namespace gfx {
class PVsyncBridgeParent;
} // namespace gfx
} // namespace mozilla
namespace mozilla {
namespace gfx {
class PVsyncBridgeChild;
} // namespace gfx
} // namespace mozilla

namespace mozilla {
namespace gfx {


class PGPUParent :
    public mozilla::ipc::IProtocol,
    protected mozilla::ipc::IProtocolManager<mozilla::ipc::IProtocol>,
    public mozilla::ipc::IToplevelProtocol
{
protected:
    typedef mozilla::ipc::ActorHandle ActorHandle;
    typedef mozilla::gfx::BackendType BackendType;
    typedef mozilla::CSSToLayoutDeviceScale CSSToLayoutDeviceScale;
    typedef mozilla::gfx::ContentDeviceData ContentDeviceData;
    typedef mozilla::gfx::D3D11DeviceStatus D3D11DeviceStatus;
    typedef mozilla::gfx::DevicePrefs DevicePrefs;
    template<class FooSide> using Endpoint = mozilla::ipc::Endpoint<FooSide>;
    typedef mozilla::gfx::FeatureChange FeatureChange;
    typedef mozilla::gfx::FeatureFailure FeatureFailure;
    typedef mozilla::gfx::FeatureStatus FeatureStatus;
    typedef mozilla::ipc::FileDescriptor FileDescriptor;
    typedef mozilla::gfx::GPUDeviceData GPUDeviceData;
    typedef mozilla::gfx::GPUDeviceStatus GPUDeviceStatus;
    typedef mozilla::gfx::GfxPrefSetting GfxPrefSetting;
    typedef mozilla::gfx::GfxPrefValue GfxPrefValue;
    typedef mozilla::gfx::GfxVarUpdate GfxVarUpdate;
    typedef mozilla::gfx::GfxVarValue GfxVarValue;
    typedef mozilla::gfx::IntSize IntSize;
    typedef base::ProcessId ProcessId;
    typedef mozilla::ipc::ProtocolId ProtocolId;
    typedef mozilla::ipc::Shmem Shmem;
    typedef mozilla::TimeDuration TimeDuration;
    typedef mozilla::ipc::Transport Transport;
    typedef mozilla::ipc::TransportDescriptor TransportDescriptor;
    typedef mozilla::null_t null_t;
    typedef mozilla::layers::PCompositorBridgeParent PCompositorBridgeParent;
    typedef mozilla::layers::PCompositorBridgeChild PCompositorBridgeChild;
    typedef mozilla::layers::PImageBridgeParent PImageBridgeParent;
    typedef mozilla::layers::PImageBridgeChild PImageBridgeChild;
    typedef mozilla::gfx::PVRManagerParent PVRManagerParent;
    typedef mozilla::gfx::PVRManagerChild PVRManagerChild;
    typedef mozilla::gfx::PVsyncBridgeParent PVsyncBridgeParent;
    typedef mozilla::gfx::PVsyncBridgeChild PVsyncBridgeChild;

    typedef PGPU::State State;

    virtual bool
    RecvInit(
            nsTArray<GfxPrefSetting>&& prefs,
            nsTArray<GfxVarUpdate>&& vars,
            const DevicePrefs& devicePrefs) = 0;
    virtual bool
    RecvInitVsyncBridge(Endpoint<mozilla::gfx::PVsyncBridgeParent>&& endpoint) = 0;
    virtual bool
    RecvInitImageBridge(Endpoint<mozilla::layers::PImageBridgeParent>&& endpoint) = 0;
    virtual bool
    RecvInitVRManager(Endpoint<mozilla::gfx::PVRManagerParent>&& endpoint) = 0;
    virtual bool
    RecvUpdatePref(const GfxPrefSetting& pref) = 0;
    virtual bool
    RecvUpdateVar(const GfxVarUpdate& var) = 0;
    virtual bool
    RecvNewWidgetCompositor(
            Endpoint<mozilla::layers::PCompositorBridgeParent>&& endpoint,
            const CSSToLayoutDeviceScale& scale,
            const TimeDuration& vsyncRate,
            const bool& useExternalSurface,
            const IntSize& surfaceSize) = 0;
    virtual bool
    RecvNewContentCompositorBridge(Endpoint<mozilla::layers::PCompositorBridgeParent>&& endpoint) = 0;
    virtual bool
    RecvNewContentImageBridge(Endpoint<mozilla::layers::PImageBridgeParent>&& endpoint) = 0;
    virtual bool
    RecvNewContentVRManager(Endpoint<mozilla::gfx::PVRManagerParent>&& endpoint) = 0;
    virtual bool
    RecvDeallocateLayerTreeId(const uint64_t& layersId) = 0;
    virtual bool
    RecvAddLayerTreeIdMapping(
            const uint64_t& layersId,
            const ProcessId& ownerId) = 0;
    virtual bool
    RecvGetDeviceStatus(GPUDeviceData* status) = 0;

    virtual void
    ActorDestroy(ActorDestroyReason aWhy) = 0;

    virtual void
    ProcessingError(
            Result aCode,
            const char* aReason);
    virtual bool
    ShouldContinueFromReplyTimeout();
    virtual void
    EnteredCxxStack();
    virtual void
    ExitedCxxStack();
    virtual void
    EnteredCall();
    virtual void
    ExitedCall();

public:
    typedef mozilla::ipc::IProtocol ProtocolBase;
    typedef IPC::Message Message;
    typedef mozilla::ipc::MessageChannel Channel;
    typedef mozilla::ipc::MessageListener ChannelListener;
    typedef base::ProcessHandle ProcessHandle;
    typedef mozilla::ipc::MessageChannel MessageChannel;
    typedef mozilla::ipc::SharedMemory SharedMemory;
    typedef mozilla::ipc::Trigger Trigger;
    typedef mozilla::ipc::ProtocolCloneContext ProtocolCloneContext;

public:
    MOZ_IMPLICIT PGPUParent();

    virtual ~PGPUParent();

    bool
    Open(
            Channel::Transport* aTransport,
            base::ProcessId aOtherPid,
            MessageLoop* aThread = nullptr,
            mozilla::ipc::Side aSide = mozilla::ipc::UnknownSide);

    bool
    Open(
            MessageChannel* aChannel,
            MessageLoop* aMessageLoop,
            mozilla::ipc::Side aSide = mozilla::ipc::UnknownSide);

    void
    Close();

    void
    SetReplyTimeoutMs(int32_t aTimeoutMs);

    PGPU::State
    state();

    MOZ_MUST_USE bool
    SendInitComplete(const GPUDeviceData& data);

    virtual int32_t
    Register(ProtocolBase* aRouted);
    virtual int32_t
    RegisterID(
            ProtocolBase* aRouted,
            int32_t aId);
    virtual ProtocolBase*
    Lookup(int32_t aId);
    virtual void
    Unregister(int32_t aId);
    virtual void
    RemoveManagee(
            int32_t aProtocolId,
            ProtocolBase* aListener);
    virtual Shmem::SharedMemory*
    CreateSharedMemory(
            size_t aSize,
            Shmem::SharedMemory::SharedMemoryType aType,
            bool aUnsafe,
            Shmem::id_t* aId);
    virtual Shmem::SharedMemory*
    LookupSharedMemory(Shmem::id_t aId);
    virtual bool
    IsTrackingSharedMemory(Shmem::SharedMemory* segment);
    virtual bool
    DestroySharedMemory(Shmem& shmem);
    virtual base::ProcessId
    OtherPid() const;
    virtual MessageChannel*
    GetIPCChannel();
    virtual mozilla::ipc::IProtocol*
    CloneProtocol(
            Channel* aChannel,
            ProtocolCloneContext* aCtx);

    virtual Result
    OnMessageReceived(const Message& msg__);

    virtual Result
    OnMessageReceived(
            const Message& msg__,
            Message*& reply__);

    virtual Result
    OnCallReceived(
            const Message& msg__,
            Message*& reply__);

    void
    OnProcessingError(
            Result aCode,
            const char* aReason);

    int32_t
    GetProtocolTypeId();

    bool
    OnReplyTimeout();

    void
    OnEnteredCxxStack();
    void
    OnExitedCxxStack();
    void
    OnEnteredCall();
    void
    OnExitedCall();
    bool
    IsOnCxxStack() const;
    void
    FlushPendingInterruptQueue();

    void
    OnChannelClose();

    void
    OnChannelError();

    void
    OnChannelConnected(int32_t aPid);

    // Methods for managing shmem
    bool
    AllocShmem(
            size_t aSize,
            Shmem::SharedMemory::SharedMemoryType aType,
            Shmem* aOutMem);

    bool
    AllocUnsafeShmem(
            size_t aSize,
            Shmem::SharedMemory::SharedMemoryType aType,
            Shmem* aOutMem);

    bool
    DeallocShmem(Shmem& aMem);

    void
    SetOtherProcessId(base::ProcessId aOtherPid);

protected:
    bool
    TakeMinidump(
            nsIFile** aDump,
            uint32_t* aSequence) const;

private:
    MOZ_NEVER_INLINE void
    FatalError(const char* const aMsg) const;

    void
    DestroySubtree(ActorDestroyReason why);

    void
    DeallocSubtree();

    void
    DeallocShmems();

    virtual void
    DeallocPGPUParent();

    template<typename T>
    void
    Write(
            const T& v__,
            Message* msg__)
    {
        IPC::WriteParam(msg__, v__);
    }

    template<typename T>
    bool
    Read(
            T* v__,
            const Message* msg__,
            PickleIterator* iter__)
    {
        return IPC::ReadParam(msg__, iter__, v__);
    }

    void
    Write(
            const DevicePrefs& v__,
            Message* msg__);

    MOZ_MUST_USE bool
    Read(
            DevicePrefs* v__,
            const Message* msg__,
            PickleIterator* iter__);

    void
    Write(
            const GfxPrefSetting& v__,
            Message* msg__);

    MOZ_MUST_USE bool
    Read(
            GfxPrefSetting* v__,
            const Message* msg__,
            PickleIterator* iter__);

    void
    Write(
            const GPUDeviceData& v__,
            Message* msg__);

    MOZ_MUST_USE bool
    Read(
            GPUDeviceData* v__,
            const Message* msg__,
            PickleIterator* iter__);

    void
    Write(
            const nsTArray<GfxVarUpdate>& v__,
            Message* msg__);

    MOZ_MUST_USE bool
    Read(
            nsTArray<GfxVarUpdate>* v__,
            const Message* msg__,
            PickleIterator* iter__);

    void
    Write(
            const GfxVarUpdate& v__,
            Message* msg__);

    MOZ_MUST_USE bool
    Read(
            GfxVarUpdate* v__,
            const Message* msg__,
            PickleIterator* iter__);

    void
    Write(
            const nsTArray<GfxPrefSetting>& v__,
            Message* msg__);

    MOZ_MUST_USE bool
    Read(
            nsTArray<GfxPrefSetting>* v__,
            const Message* msg__,
            PickleIterator* iter__);

    void
    Write(
            const GPUDeviceStatus& v__,
            Message* msg__);

    MOZ_MUST_USE bool
    Read(
            GPUDeviceStatus* v__,
            const Message* msg__,
            PickleIterator* iter__);

    void
    Write(
            const GfxVarValue& v__,
            Message* msg__);

    MOZ_MUST_USE bool
    Read(
            GfxVarValue* v__,
            const Message* msg__,
            PickleIterator* iter__);

    void
    Write(
            const FeatureFailure& v__,
            Message* msg__);

    MOZ_MUST_USE bool
    Read(
            FeatureFailure* v__,
            const Message* msg__,
            PickleIterator* iter__);

    void
    Write(
            const FeatureChange& v__,
            Message* msg__);

    MOZ_MUST_USE bool
    Read(
            FeatureChange* v__,
            const Message* msg__,
            PickleIterator* iter__);

    void
    Write(
            const D3D11DeviceStatus& v__,
            Message* msg__);

    MOZ_MUST_USE bool
    Read(
            D3D11DeviceStatus* v__,
            const Message* msg__,
            PickleIterator* iter__);

    void
    Write(
            const GfxPrefValue& v__,
            Message* msg__);

    MOZ_MUST_USE bool
    Read(
            GfxPrefValue* v__,
            const Message* msg__,
            PickleIterator* iter__);

    Channel mChannel;
    IDMap<ProtocolBase> mActorMap;
    int32_t mLastRouteId;
    base::ProcessId mOtherPid;
    IDMap<Shmem::SharedMemory> mShmemMap;
    Shmem::id_t mLastShmemId;
    State mState;
};


} // namespace gfx
} // namespace mozilla

#if 0

//-----------------------------------------------------------------------------
// Skeleton implementation of abstract actor class

// Header file contents
namespace mozilla {
namespace gfx {
class GPUParent :
    public PGPUParent
{
    virtual bool
    RecvInit(
            nsTArray<GfxPrefSetting>&& prefs,
            nsTArray<GfxVarUpdate>&& vars,
            const DevicePrefs& devicePrefs);

    virtual bool
    RecvInitVsyncBridge(Endpoint<mozilla::gfx::PVsyncBridgeParent>&& endpoint);

    virtual bool
    RecvInitImageBridge(Endpoint<mozilla::layers::PImageBridgeParent>&& endpoint);

    virtual bool
    RecvInitVRManager(Endpoint<mozilla::gfx::PVRManagerParent>&& endpoint);

    virtual bool
    RecvUpdatePref(const GfxPrefSetting& pref);

    virtual bool
    RecvUpdateVar(const GfxVarUpdate& var);

    virtual bool
    RecvNewWidgetCompositor(
            Endpoint<mozilla::layers::PCompositorBridgeParent>&& endpoint,
            const CSSToLayoutDeviceScale& scale,
            const TimeDuration& vsyncRate,
            const bool& useExternalSurface,
            const IntSize& surfaceSize);

    virtual bool
    RecvNewContentCompositorBridge(Endpoint<mozilla::layers::PCompositorBridgeParent>&& endpoint);

    virtual bool
    RecvNewContentImageBridge(Endpoint<mozilla::layers::PImageBridgeParent>&& endpoint);

    virtual bool
    RecvNewContentVRManager(Endpoint<mozilla::gfx::PVRManagerParent>&& endpoint);

    virtual bool
    RecvDeallocateLayerTreeId(const uint64_t& layersId);

    virtual bool
    RecvAddLayerTreeIdMapping(
            const uint64_t& layersId,
            const ProcessId& ownerId);

    virtual bool
    RecvGetDeviceStatus(GPUDeviceData* status);

    virtual void
    ActorDestroy(ActorDestroyReason aWhy);

    MOZ_IMPLICIT GPUParent();
    virtual ~GPUParent();
};
} // namespace gfx
} // namespace mozilla


// C++ file contents
namespace mozilla {
namespace gfx {
bool
GPUParent::RecvInit(
        nsTArray<GfxPrefSetting>&& prefs,
        nsTArray<GfxVarUpdate>&& vars,
        const DevicePrefs& devicePrefs)
{
    return false;
}

bool
GPUParent::RecvInitVsyncBridge(Endpoint<mozilla::gfx::PVsyncBridgeParent>&& endpoint)
{
    return false;
}

bool
GPUParent::RecvInitImageBridge(Endpoint<mozilla::layers::PImageBridgeParent>&& endpoint)
{
    return false;
}

bool
GPUParent::RecvInitVRManager(Endpoint<mozilla::gfx::PVRManagerParent>&& endpoint)
{
    return false;
}

bool
GPUParent::RecvUpdatePref(const GfxPrefSetting& pref)
{
    return false;
}

bool
GPUParent::RecvUpdateVar(const GfxVarUpdate& var)
{
    return false;
}

bool
GPUParent::RecvNewWidgetCompositor(
        Endpoint<mozilla::layers::PCompositorBridgeParent>&& endpoint,
        const CSSToLayoutDeviceScale& scale,
        const TimeDuration& vsyncRate,
        const bool& useExternalSurface,
        const IntSize& surfaceSize)
{
    return false;
}

bool
GPUParent::RecvNewContentCompositorBridge(Endpoint<mozilla::layers::PCompositorBridgeParent>&& endpoint)
{
    return false;
}

bool
GPUParent::RecvNewContentImageBridge(Endpoint<mozilla::layers::PImageBridgeParent>&& endpoint)
{
    return false;
}

bool
GPUParent::RecvNewContentVRManager(Endpoint<mozilla::gfx::PVRManagerParent>&& endpoint)
{
    return false;
}

bool
GPUParent::RecvDeallocateLayerTreeId(const uint64_t& layersId)
{
    return false;
}

bool
GPUParent::RecvAddLayerTreeIdMapping(
        const uint64_t& layersId,
        const ProcessId& ownerId)
{
    return false;
}

bool
GPUParent::RecvGetDeviceStatus(GPUDeviceData* status)
{
    return false;
}

void
GPUParent::ActorDestroy(ActorDestroyReason aWhy)
{
}

MOZ_IMPLICIT GPUParent::GPUParent()
{
    MOZ_COUNT_CTOR(GPUParent);
}

MOZ_IMPLICIT GPUParent::~GPUParent()
{
    MOZ_COUNT_DTOR(GPUParent);
}

} // namespace gfx
} // namespace mozilla
#endif // if 0

#endif // ifndef PGPUParent_h
